/*

	Author: Benjamin Lin and John Hyunh
	
    FreeRTOS V8.2.3 - Copyright (C) 2015 Real Time Engineers Ltd.
    All rights reserved

    VISIT http://www.FreeRTOS.org TO ENSURE YOU ARE USING THE LATEST VERSION.

    This file is part of the FreeRTOS distribution.

    FreeRTOS is free software; you can redistribute it and/or modify it under
    the terms of the GNU General Public License (version 2) as published by the
    Free Software Foundation >>>> AND MODIFIED BY <<<< the FreeRTOS exception.

    ***************************************************************************
    >>!   NOTE: The modification to the GPL is included to allow you to     !<<
    >>!   distribute a combined work that includes FreeRTOS without being   !<<
    >>!   obliged to provide the source code for proprietary components     !<<
    >>!   outside of the FreeRTOS kernel.                                   !<<
    ***************************************************************************

    FreeRTOS is distributed in the hope that it will be useful, but WITHOUT ANY
    WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
    FOR A PARTICULAR PURPOSE.  Full license text is available on the following
    link: http://www.freertos.org/a00114.html

    ***************************************************************************
     *                                                                       *
     *    FreeRTOS provides completely free yet professionally developed,    *
     *    robust, strictly quality controlled, supported, and cross          *
     *    platform software that is more than just the market leader, it     *
     *    is the industry's de facto standard.                               *
     *                                                                       *
     *    Help yourself get started quickly while simultaneously helping     *
     *    to support the FreeRTOS project by purchasing a FreeRTOS           *
     *    tutorial book, reference manual, or both:                          *
     *    http://www.FreeRTOS.org/Documentation                              *
     *                                                                       *
    ***************************************************************************

    http://www.FreeRTOS.org/FAQHelp.html - Having a problem?  Start by reading
    the FAQ page "My application does not run, what could be wrong?".  Have you
    defined configASSERT()?

    http://www.FreeRTOS.org/support - In return for receiving this top quality
    embedded software for free we request you assist our global community by
    participating in the support forum.

    http://www.FreeRTOS.org/training - Investing in training allows your team to
    be as productive as possible as early as possible.  Now you can receive
    FreeRTOS training directly from Richard Barry, CEO of Real Time Engineers
    Ltd, and the world's leading authority on the world's leading RTOS.

    http://www.FreeRTOS.org/plus - A selection of FreeRTOS ecosystem products,
    including FreeRTOS+Trace - an indispensable productivity tool, a DOS
    compatible FAT file system, and our tiny thread aware UDP/IP stack.

    http://www.FreeRTOS.org/labs - Where new FreeRTOS products go to incubate.
    Come and try FreeRTOS+TCP, our new open source TCP/IP stack for FreeRTOS.

    http://www.OpenRTOS.com - Real Time Engineers ltd. license FreeRTOS to High
    Integrity Systems ltd. to sell under the OpenRTOS brand.  Low cost OpenRTOS
    licenses offer ticketed support, indemnification and commercial middleware.

    http://www.SafeRTOS.com - High Integrity Systems also provide a safety
    engineered and independently SIL3 certified version for use in safety and
    mission critical applications that require provable dependability.

    1 tab == 4 spaces!
*/

/*-----------------------------------------------------------
 * Simple IO routines to control the LEDs.
 * This file is called ParTest.c for historic reasons.  Originally it stood for
 * PARallel port TEST.
 *-----------------------------------------------------------*/

/* Scheduler includes. */
#include "FreeRTOS.h"
#include "task.h"

/* Demo includes. */
#include "partest.h"

/* Xilinx includes. */
#include "xgpio.h"

#define partstNUM_LEDS			( 1 )
#define partstDIRECTION_OUTPUT	( 1 )
#define partstOUTPUT_ENABLED	( 1 )
#define partstLED_OUTPUT		( 1 )
#define partstSW_INPUT		    ( 2 )

/*-----------------------------------------------------------*/

static XGpio xGpio;
static XGpio rgb;
static XGpio rowcol;
BaseType_t xLEDState = 0xF;
int mode = 0;
int ct = 0;
int ctrl = 0x0;

/*-----------------------------------------------------------*/

void vParTestInitialise( void )
{

BaseType_t xStatus;
	//XGpio_Config *pxConfigPtr;
	/* Initialise the GPIO driver. */
	//pxConfigPtr = XGpioPs_LookupConfig( XPAR_XGPIOPS_0_DEVICE_ID );

	xStatus = XGpio_Initialize( &xGpio, XPAR_AXI_GPIO_0_DEVICE_ID );
	xStatus = XGpio_Initialize( &rgb, XPAR_AXI_GPIO_1_DEVICE_ID );
	configASSERT( xStatus == XST_SUCCESS );
	( void ) xStatus; /* Remove compiler warning if configASSERT() is not defined. */

	/* Enable outputs and set low. */
	XGpio_SetDataDirection( &rgb, 1, partstDIRECTION_OUTPUT );
	XGpio_SetDataDirection( &rgb, 2, partstDIRECTION_OUTPUT );
	XGpio_SetDataDirection( &xGpio, 1, partstDIRECTION_OUTPUT );
	XGpio_SetDataDirection( &xGpio, 2, partstDIRECTION_OUTPUT );

//	XGpio_DiscreteWrite(&xGpio, partstLED_OUTPUT, 0xFF);


	int arr1[80] ={ 250,253,254,255,253,255,255,252,251,253,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,254,255,255,255,255,255,255,255,255,255,255,255,255,255,252,251,253,255,255,255,255,249,255,255,255,255,252,254,254,247};
    int arr2[80] ={ 252,249,253,255,255,252,255,255,248,249,250,251,251,250,249,249,247,248,248,248,249,249,249,250,247,247,247,247,247,247,247,247,248,248,248,248,248,248,248,248,248,248,248,248,248,248,248,248,248,247,246,248,251,251,248,244,248,250,253,254,254,252,249,246,252,252,247,244,244,246,248,248,255,255,250,251,251,250,253,254};
    int arr3[80] ={ 250,251,253,254,254,255,253,251,219,218,216,215,214,213,214,214,212,212,212,213,213,213,214,214,209,209,209,209,209,209,209,209,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,210,209,210,211,211,210,209,213,212,211,210,210,210,211,211,212,213,213,212,212,214,218,221,255,255,255,254,254,251,251,254};


    int red[6400] = {250,253,254,255,253,255,255,252,251,253,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,254,255,255,255,255,255,255,255,255,255,255,255,255,255,252,251,253,255,255,255,255,249,255,255,255,255,252,254,254,247,
    		252,249,253,255,255,252,255,255,248,249,250,251,251,250,249,249,247,248,248,248,249,249,249,250,247,247,247,247,247,247,247,247,248,248,248,248,248,248,248,248,248,248,248,248,248,248,248,248,248,247,246,248,251,251,248,244,248,250,253,254,254,252,249,246,252,252,247,244,244,246,248,248,255,255,250,251,251,250,253,254,
    		250,251,253,254,254,255,253,251,219,218,216,215,214,213,214,214,212,212,212,213,213,213,214,214,209,209,209,209,209,209,209,209,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,210,209,210,211,211,210,209,213,212,211,210,210,210,211,211,212,213,213,212,212,214,218,221,255,255,255,254,254,251,251,254,
    		251,255,254,254,252,246,207,178,132,130,126,123,121,121,122,123,120,121,121,121,122,122,122,122,120,120,120,120,120,120,120,120,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,126,122,116,115,118,122,123,122,122,122,121,120,119,119,120,120,115,119,123,123,122,123,129,134,175,211,244,252,254,254,252,253,
    		255,255,254,252,224,172,116,83,58,56,52,49,47,47,48,49,48,48,48,48,49,49,49,50,52,52,52,52,52,52,52,52,53,53,53,53,53,53,53,53,53,53,53,53,53,53,53,53,57,51,47,48,53,56,53,49,44,47,51,54,54,50,45,42,52,53,53,48,44,44,49,55,78,119,169,219,252,254,251,255,
    		255,251,255,246,175,94,54,46,44,43,42,40,39,39,39,39,40,40,40,41,41,41,42,42,47,47,47,47,47,47,47,47,48,48,48,48,48,48,48,48,48,48,48,48,48,48,48,48,45,44,45,47,50,49,45,41,53,52,50,49,49,49,50,51,36,40,45,46,43,39,35,33,48,57,90,166,241,255,250,255,
    		255,255,255,213,115,54,48,46,45,46,47,48,48,48,47,46,49,49,50,50,50,51,51,51,54,54,54,54,54,54,54,54,55,55,55,55,55,55,55,55,55,55,55,55,55,55,55,55,52,56,57,52,46,46,54,61,49,48,46,45,45,45,46,47,47,46,46,48,49,47,44,40,50,46,50,109,204,254,255,255,
    		255,255,252,169,60,38,54,36,42,44,47,50,51,50,48,47,52,52,52,53,53,53,54,54,54,54,54,54,54,54,54,54,55,55,55,55,55,55,55,55,55,55,55,55,55,55,55,55,58,61,58,44,30,34,56,78,127,138,153,163,163,152,136,125,82,64,40,25,25,35,47,55,36,47,37,62,163,249,255,255,
    		255,254,214,118,52,50,44,40,47,47,48,49,49,50,51,51,52,53,53,53,54,54,54,54,55,55,55,55,56,56,56,57,55,55,55,55,55,55,55,55,52,52,62,52,56,45,54,54,47,52,61,93,158,228,255,255,254,254,254,254,254,254,254,254,253,246,255,241,208,159,43,55,48,50,50,50,113,211,253,255,
    		255,255,213,115,49,49,45,42,47,48,48,49,50,50,51,51,53,53,53,54,54,54,55,55,55,55,56,56,56,57,57,57,55,55,55,55,55,55,55,55,49,65,65,58,59,66,58,48,49,114,191,233,249,255,255,251,254,254,254,254,254,254,254,254,255,250,255,253,238,177,46,42,50,50,49,48,111,210,254,255,
    		255,255,211,111,46,47,46,45,48,48,49,50,50,51,52,52,53,54,54,54,55,55,55,56,56,56,57,57,57,58,58,58,56,56,56,56,56,56,56,56,52,68,58,62,56,63,47,57,160,206,251,252,254,253,255,255,254,254,254,254,254,254,254,254,255,255,255,254,249,174,46,37,52,51,48,45,109,208,254,255,
    		255,255,209,107,42,45,47,48,49,49,50,50,51,52,53,53,54,55,55,55,56,56,56,56,57,58,58,58,59,59,59,60,58,58,58,58,58,58,58,58,64,60,49,65,59,46,64,129,255,255,255,251,251,255,255,254,254,254,254,254,254,254,254,254,250,255,255,254,244,140,40,45,53,51,47,43,106,207,254,255,
    		255,255,208,105,40,44,47,49,50,50,51,51,52,53,54,54,55,55,56,56,57,57,57,57,59,59,59,60,60,61,61,61,59,59,59,59,59,59,59,59,66,55,59,62,66,61,136,232,255,255,255,255,255,255,254,254,254,254,254,254,254,254,254,254,247,255,255,250,231,105,39,50,53,51,46,43,106,207,254,255,
    		255,255,208,105,40,44,46,49,51,51,52,52,53,54,55,55,56,56,57,57,57,58,58,58,60,60,61,61,62,62,62,62,61,61,61,61,61,61,61,61,61,61,68,47,56,96,199,254,250,255,255,255,247,244,249,254,254,254,254,254,254,254,254,254,252,255,251,252,228,85,44,46,50,49,47,44,107,207,253,255,
    		255,255,208,106,41,44,46,47,51,52,52,53,54,55,55,56,57,57,57,58,58,59,59,59,61,61,62,62,63,63,63,63,62,62,62,62,62,62,62,62,61,66,66,44,57,140,234,255,250,252,254,254,254,251,247,249,254,254,254,254,254,254,254,254,255,253,250,254,221,66,50,47,48,48,47,46,109,208,251,255,
    		255,255,208,107,41,44,45,46,52,52,53,53,54,55,56,56,57,57,58,58,59,59,59,59,62,62,62,63,63,63,64,64,62,62,62,62,62,62,62,62,69,66,57,57,76,185,254,255,247,246,251,252,254,251,254,255,254,254,254,254,254,254,254,254,255,252,251,253,207,46,53,53,46,47,48,48,111,208,251,255,
    		255,251,207,109,46,49,51,52,51,52,53,54,55,56,57,58,56,56,57,58,59,59,60,60,62,62,62,63,63,63,64,64,62,62,62,62,62,62,62,62,58,66,62,73,95,236,255,255,255,255,255,255,255,255,255,255,254,247,248,246,253,255,254,245,255,251,254,249,166,50,51,48,52,51,49,46,109,207,251,255,
    		255,251,207,109,46,49,51,52,52,52,53,54,56,57,58,58,57,57,58,58,59,60,61,61,62,62,63,63,63,64,64,64,62,62,62,62,62,62,62,62,60,68,64,70,109,239,255,255,255,255,255,255,255,255,255,255,250,254,254,254,238,212,202,211,226,238,247,247,144,46,49,58,52,51,49,46,109,207,251,255,
    		255,252,207,109,47,49,52,52,53,53,54,55,57,58,59,59,58,58,59,59,60,61,62,62,63,63,63,64,64,64,65,65,63,63,63,63,63,63,63,63,62,70,67,66,129,244,255,255,255,255,255,255,255,255,255,255,255,254,231,168,123,105,93,95,112,125,127,152,94,54,58,64,52,52,49,47,109,207,252,255,
    		255,252,208,110,47,50,52,53,54,55,56,57,58,59,60,61,59,59,60,61,62,62,63,63,64,64,64,65,65,65,66,66,65,65,65,65,65,65,65,65,65,72,69,62,148,248,255,255,255,255,255,255,255,255,255,255,255,241,146,71,48,56,52,51,55,51,45,68,56,53,62,53,53,52,50,47,110,208,252,255,
    		255,253,208,110,48,50,53,53,56,56,57,58,59,61,61,62,61,61,61,62,63,64,64,65,65,65,65,66,66,66,67,67,66,66,66,66,66,66,66,66,67,72,69,62,157,248,255,255,255,255,255,255,255,255,255,255,252,189,78,61,69,66,58,72,57,56,56,52,51,45,63,55,53,53,50,48,110,208,253,255,
    		255,253,209,110,48,51,53,54,57,58,58,60,61,62,63,63,62,62,63,64,64,65,66,66,66,66,66,66,67,67,68,68,67,67,67,67,67,67,67,67,69,69,66,65,155,248,254,255,255,255,255,255,255,255,255,255,248,178,62,62,69,65,53,60,51,54,64,54,59,49,61,55,54,53,51,48,110,209,253,255,
    		255,253,209,111,49,51,53,54,58,59,59,61,62,63,64,64,63,63,64,65,65,66,67,67,66,66,67,67,68,68,68,68,68,68,68,68,68,68,68,68,70,67,63,69,148,246,253,255,255,255,255,255,255,255,255,255,237,174,59,57,53,67,70,67,65,63,64,60,62,56,51,46,54,53,51,49,111,209,253,255,
    		255,254,209,111,49,51,54,54,59,59,60,61,62,64,64,65,63,64,64,65,66,67,67,68,67,67,67,67,68,68,69,69,69,69,69,69,69,69,69,69,70,65,61,72,142,244,253,255,255,255,255,255,255,255,255,255,242,162,50,71,63,62,73,82,69,71,65,68,55,60,52,62,54,54,51,49,111,209,254,255,
    		255,253,209,112,50,53,56,57,58,59,60,61,62,63,64,65,64,64,65,66,67,67,68,68,68,68,68,68,69,69,69,70,62,59,77,68,61,78,76,75,63,64,74,62,146,248,250,255,255,255,255,255,255,255,255,255,255,162,66,67,65,64,65,62,67,66,63,72,55,59,61,66,62,60,56,52,112,209,251,255,
    		255,253,210,112,50,54,57,58,59,60,60,62,63,64,65,65,65,65,66,66,67,68,69,69,68,68,69,69,69,70,70,70,71,66,79,73,68,75,67,67,68,67,72,60,146,248,255,255,255,255,255,255,255,255,255,255,248,156,63,63,56,55,62,67,64,63,63,67,59,60,62,68,62,60,56,52,112,209,251,255,
    		255,253,210,112,51,55,58,59,60,61,61,63,64,65,66,66,66,66,67,67,68,69,70,70,69,69,70,70,70,71,71,71,78,72,73,68,72,78,74,84,78,73,72,59,145,249,255,255,255,255,255,255,255,255,255,255,236,147,62,68,66,62,64,68,67,64,65,64,63,58,59,61,62,61,57,52,113,209,252,255,
    		255,253,210,113,52,57,60,62,61,62,63,64,65,66,67,68,67,67,68,69,70,70,71,71,70,71,71,71,72,72,72,73,75,72,68,65,70,71,68,75,69,66,65,60,144,249,255,255,255,255,255,255,255,255,255,255,241,147,54,61,63,64,61,58,59,54,60,62,67,63,65,66,63,61,57,53,113,209,252,255,
    		255,252,210,114,54,58,62,64,63,63,64,65,67,68,69,69,69,69,69,70,71,72,72,73,72,72,72,73,73,74,74,74,72,75,75,73,71,70,72,71,72,67,70,75,151,245,255,255,255,255,255,255,255,255,255,255,242,158,70,66,60,65,70,70,67,60,69,76,67,64,68,63,63,62,58,53,114,210,253,255,
    		255,252,210,114,55,60,65,66,64,65,66,67,68,69,70,70,70,70,71,72,72,73,74,74,73,73,74,74,75,75,75,75,77,81,75,72,74,106,151,159,162,154,154,153,193,248,252,249,255,255,255,255,255,255,255,255,243,205,156,158,146,148,155,153,161,150,154,150,86,70,66,55,64,62,58,54,114,210,253,255,
    		255,252,210,115,56,61,66,68,65,66,67,68,69,70,71,71,71,71,72,73,73,74,75,75,74,74,75,75,76,76,76,76,80,79,72,68,74,146,238,254,255,250,248,241,248,252,255,255,255,255,255,255,255,255,255,255,254,254,247,255,249,251,252,240,255,249,251,234,107,77,68,61,64,62,58,54,114,211,253,255,
    		255,252,210,115,56,62,67,69,66,66,67,68,70,71,72,72,71,72,72,73,74,75,75,76,75,75,75,76,76,76,77,77,73,76,77,71,70,150,252,255,255,255,255,255,252,254,253,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,248,253,254,255,250,91,62,62,61,64,63,59,54,114,211,254,255,
    		255,251,209,112,52,57,62,64,63,64,66,68,70,72,73,74,66,67,67,68,69,70,71,71,73,73,73,73,74,74,75,75,72,76,77,78,82,154,245,255,254,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,248,252,252,252,246,245,249,252,252,255,255,242,86,70,70,65,63,61,57,53,113,211,254,255,
    		255,254,212,114,54,59,64,66,69,69,69,69,70,70,70,71,73,73,74,74,75,75,76,76,73,73,74,74,75,75,75,75,77,78,77,75,79,154,249,255,254,255,255,255,255,251,250,251,255,255,255,255,255,255,255,255,254,254,254,254,254,253,253,254,251,255,255,247,71,59,66,69,66,65,60,55,115,213,255,255,
    		255,255,213,116,55,59,64,66,73,72,72,71,70,69,69,68,78,78,78,78,77,77,77,77,75,75,75,76,76,76,77,77,90,88,84,76,76,145,239,254,249,252,255,255,255,255,254,254,255,255,255,255,255,255,255,255,250,251,253,253,253,253,255,255,244,250,255,241,57,59,69,73,69,67,62,57,116,213,255,255,
    		255,254,211,113,52,55,60,61,69,69,69,70,71,71,72,72,77,77,77,76,76,76,75,75,76,77,77,77,78,78,78,79,86,86,84,82,85,156,250,255,254,255,255,255,255,253,251,251,255,255,255,255,255,255,255,255,255,255,255,255,253,254,255,255,249,255,255,238,54,67,68,67,67,64,59,54,113,210,252,255,
    		255,250,206,108,46,49,53,54,60,61,63,67,70,73,76,77,77,77,77,77,77,78,78,78,78,79,79,79,80,80,80,81,83,83,78,74,78,151,246,255,242,248,254,255,251,248,251,255,255,255,255,255,255,255,255,255,253,255,255,255,249,247,251,255,249,249,252,225,54,70,70,69,60,58,53,48,108,205,248,251,
    		253,248,204,105,43,45,49,50,53,54,58,63,68,72,76,77,76,77,78,80,81,82,84,84,80,80,81,81,81,82,82,82,86,83,79,71,75,148,244,255,254,254,254,254,254,253,254,254,255,255,255,255,255,255,255,255,249,253,254,254,254,254,254,254,248,252,255,214,53,62,59,63,53,52,48,44,105,204,247,252,
    		255,250,206,106,44,46,49,50,52,53,56,59,63,67,69,71,71,72,74,77,80,83,85,86,82,82,82,82,83,83,84,84,80,82,84,82,84,152,240,252,254,254,249,247,252,254,254,251,255,255,255,255,255,255,255,255,249,248,240,238,242,244,242,238,238,240,251,189,53,52,44,47,50,50,47,45,107,207,252,255,
    		255,253,209,109,46,48,51,52,54,55,56,58,60,62,63,64,63,65,68,72,76,80,82,84,82,82,83,83,84,84,84,84,84,87,90,82,70,116,183,181,178,169,167,186,219,247,252,252,255,255,255,255,255,255,255,255,239,213,183,168,171,174,170,162,155,159,180,131,39,56,50,55,50,50,48,47,110,211,255,255,
    		255,254,209,109,45,46,48,49,51,52,53,54,55,56,57,58,58,59,59,60,61,61,62,62,76,76,77,78,78,79,80,80,87,87,87,87,87,87,87,87,82,78,74,75,161,252,253,252,255,255,255,255,255,255,255,255,251,167,48,59,59,61,55,48,57,56,55,54,53,52,51,50,49,48,46,45,109,209,254,255,
    		255,254,210,109,45,47,49,50,52,53,53,55,56,57,58,58,59,59,60,61,61,62,63,63,67,68,68,69,70,71,71,72,76,76,76,76,76,76,76,76,78,74,71,73,160,252,253,252,255,255,255,255,255,255,255,255,251,167,49,59,60,62,56,50,57,57,56,55,54,52,51,51,50,49,47,45,109,210,254,255,
    		255,254,210,109,46,48,50,51,54,54,55,56,57,58,59,60,60,61,61,62,63,64,64,64,63,63,64,65,65,66,67,67,69,69,69,69,69,69,69,69,73,70,67,70,158,251,253,252,255,255,255,255,255,255,255,255,251,168,49,60,61,64,59,52,59,58,57,56,55,54,53,52,51,50,48,46,109,210,254,255,
    		255,254,210,110,47,50,52,54,55,56,57,58,59,60,61,62,62,62,63,64,65,65,66,66,66,66,67,68,68,69,70,70,69,69,69,69,69,69,69,69,69,66,64,68,157,251,253,252,255,255,255,255,255,255,255,255,251,168,50,62,63,67,62,55,60,60,59,58,57,56,55,54,54,52,50,47,110,210,254,255,
    		255,253,210,111,49,51,54,56,57,58,59,60,61,62,63,63,64,64,65,66,67,67,68,68,68,68,69,70,70,71,72,72,70,70,70,70,70,70,70,70,69,66,64,68,157,251,253,252,255,255,255,255,255,255,255,255,252,169,51,64,66,70,65,59,62,62,61,60,59,57,57,56,56,54,51,49,111,210,253,255,
    		255,253,210,111,50,53,57,58,59,59,60,62,63,64,65,65,66,66,67,67,68,69,70,70,68,68,68,69,70,71,71,72,71,71,71,71,71,71,71,71,73,70,67,70,158,251,253,252,255,255,255,255,255,255,255,255,252,169,52,65,68,72,68,62,64,64,63,62,60,59,58,58,58,57,53,50,111,210,253,255,
    		255,253,210,112,51,54,58,60,60,61,62,63,64,65,66,67,67,67,68,69,70,70,71,71,67,67,68,68,69,70,71,71,71,71,71,71,71,71,71,71,78,74,71,73,160,252,253,252,255,255,255,255,255,255,255,255,253,170,53,66,69,74,70,64,65,65,64,63,62,61,60,59,60,58,54,51,112,210,253,255,
    		255,253,210,112,51,55,59,61,61,62,62,64,65,66,67,67,68,68,69,70,70,71,72,72,69,69,70,71,72,72,73,73,75,75,75,75,75,75,75,75,82,78,74,75,161,252,253,252,255,255,255,255,255,255,255,255,253,170,54,67,70,75,71,66,66,66,65,64,62,61,60,60,61,59,55,51,112,210,253,255,
    		255,253,207,110,52,58,57,55,62,63,64,66,67,69,70,71,70,70,71,71,72,73,73,74,70,70,71,71,71,72,72,72,72,73,73,73,74,74,74,74,75,72,69,73,160,252,254,254,255,255,255,255,255,255,255,255,252,164,66,63,72,74,71,73,69,68,67,66,64,62,61,61,55,57,58,52,110,207,253,255,
    		255,253,207,110,52,58,58,56,61,62,63,65,66,68,69,70,70,71,71,72,73,73,74,74,71,71,71,72,72,72,73,73,73,73,74,74,74,75,75,75,76,73,70,74,160,252,254,254,255,255,255,255,255,255,255,255,252,165,66,64,73,74,71,74,70,69,68,66,65,63,62,61,56,58,58,52,110,207,253,255,
    		255,253,207,111,53,60,60,58,63,63,64,66,68,69,70,71,69,70,70,71,72,72,73,73,72,72,73,73,73,74,74,74,74,75,75,75,76,76,76,77,78,75,71,74,161,252,254,254,255,255,255,255,255,255,255,255,253,165,67,65,73,75,72,74,71,70,69,67,66,64,63,62,58,60,60,53,111,207,253,255,
    		255,252,207,111,54,61,62,60,63,64,65,67,68,70,71,72,71,71,71,72,73,74,74,75,74,74,74,75,75,76,76,76,76,76,77,77,77,78,78,78,80,77,73,76,161,252,254,254,255,255,255,255,255,255,255,255,254,166,68,65,74,76,73,75,72,71,70,69,67,65,64,64,60,62,61,54,111,207,252,255,
    		255,252,207,112,56,63,64,63,65,66,67,69,70,72,73,74,71,71,72,73,74,74,75,75,76,76,76,77,77,78,78,78,78,78,79,79,79,80,80,80,82,79,74,77,162,252,253,254,255,255,255,255,255,255,255,255,255,167,69,66,75,77,74,76,73,73,72,70,68,67,66,65,63,64,63,56,112,207,252,255,
    		255,252,207,113,57,65,66,65,66,67,68,69,71,73,74,74,72,73,73,74,75,76,76,77,78,78,78,79,79,79,80,80,80,80,80,81,81,82,82,82,85,81,76,78,163,252,253,254,255,255,255,255,255,255,255,255,255,168,69,67,76,78,75,77,75,74,73,71,70,68,67,66,65,66,65,57,113,207,252,255,
    		255,251,207,113,58,66,68,67,67,68,69,71,72,74,75,76,71,72,72,73,74,75,75,76,79,79,80,80,80,81,81,81,81,81,82,82,83,83,83,83,86,83,77,79,163,252,253,254,255,255,255,255,255,255,255,255,255,169,70,68,77,78,75,78,76,75,74,72,71,69,68,67,67,68,66,58,113,207,251,255,
    		255,251,207,113,58,67,69,68,66,67,68,70,71,73,74,75,72,72,73,74,74,75,76,76,80,80,80,81,81,81,82,82,82,82,83,83,83,84,84,84,87,84,78,79,163,252,253,254,255,255,255,255,255,255,255,255,255,169,71,68,77,79,76,78,76,76,75,73,71,70,69,68,68,69,67,58,113,207,251,255,
    		254,250,203,114,66,62,55,67,65,66,67,69,70,72,73,74,71,71,72,73,74,74,75,75,77,77,78,79,79,80,81,81,82,82,82,82,82,82,82,82,92,82,76,92,171,247,253,242,254,254,254,254,254,254,254,254,251,166,73,72,82,90,84,64,74,73,72,70,69,67,66,65,67,55,62,66,114,203,250,254,
    		254,251,205,115,65,65,64,78,88,89,90,92,93,95,96,97,95,96,96,97,98,99,99,99,101,101,102,102,103,104,105,105,106,106,106,106,106,106,106,106,114,106,99,110,181,252,254,247,254,254,254,254,254,254,254,254,250,173,93,98,101,107,103,87,97,96,95,93,92,90,89,88,78,64,65,65,115,205,251,254,
    		254,253,209,116,63,70,79,96,118,119,120,122,123,125,126,127,128,129,129,130,131,132,132,132,134,134,134,135,136,137,137,138,139,139,139,139,139,139,139,139,138,131,123,128,188,252,255,251,254,254,254,254,254,254,254,254,252,189,122,131,129,131,131,122,127,126,125,123,122,120,119,118,96,79,70,63,116,209,253,254,
    		254,254,212,116,61,77,96,113,124,124,126,127,129,130,131,132,136,136,136,137,138,139,139,140,140,141,141,142,143,144,144,144,146,146,146,146,146,146,146,146,144,141,135,136,190,252,255,254,254,254,254,254,254,254,254,254,249,189,126,136,133,135,134,127,132,131,130,129,127,126,124,124,113,96,77,61,116,212,254,254,
    		255,254,213,116,61,84,110,125,121,122,123,125,126,128,129,130,134,134,135,136,137,137,138,138,138,139,139,140,141,142,142,143,144,144,144,144,144,144,144,144,143,143,140,140,192,252,255,255,254,254,254,254,254,254,254,254,254,192,126,133,131,134,134,126,130,129,128,126,125,123,122,121,125,110,84,61,116,213,254,255,
    		255,253,213,116,61,91,119,128,125,126,127,128,130,132,133,133,136,136,137,138,138,139,140,140,140,140,141,141,142,143,144,144,145,145,145,145,145,145,145,145,145,143,140,141,194,255,255,255,254,254,254,254,254,254,254,254,255,199,128,136,134,139,140,131,133,133,132,130,128,127,126,125,128,119,91,61,116,213,253,255,
    		255,251,211,115,62,97,124,126,122,122,124,125,127,128,129,130,131,131,131,132,133,134,134,135,134,134,135,136,137,137,138,138,140,140,140,140,140,140,140,140,147,144,139,140,194,255,255,255,254,254,254,254,254,254,254,254,255,191,125,133,133,137,137,129,130,129,128,127,125,124,122,122,126,124,97,62,115,211,251,255,
    		255,250,209,114,62,100,126,123,128,129,130,132,133,135,136,137,133,134,134,135,136,137,137,137,137,137,138,138,139,140,140,141,142,142,142,142,142,142,142,142,147,143,136,136,190,251,255,251,254,254,254,254,254,254,254,254,248,189,128,139,137,140,141,135,137,136,135,133,132,130,129,128,123,126,100,62,114,209,250,255,
    		250,249,216,120,63,93,124,130,127,127,128,129,131,132,133,133,135,135,136,136,137,138,139,139,140,140,141,141,142,142,142,142,144,144,144,144,144,144,144,144,149,147,140,139,189,248,254,251,255,255,255,255,255,255,255,255,250,190,127,138,136,138,137,128,133,133,132,131,130,129,128,127,128,126,100,67,120,214,251,254,
    		252,249,215,119,65,95,125,130,127,128,129,130,131,132,133,134,135,135,136,137,138,138,139,139,141,141,141,141,142,142,143,143,144,144,144,144,144,144,144,144,149,147,140,140,190,248,254,252,255,255,255,255,255,255,255,255,250,190,127,138,136,138,137,129,134,133,132,131,130,129,128,127,126,126,102,68,119,212,251,255,
    		252,250,215,119,66,97,126,129,128,128,129,131,132,133,134,134,136,136,137,137,138,139,140,140,141,141,142,142,143,143,143,143,145,145,145,145,145,145,145,145,150,147,141,140,190,248,254,252,255,255,255,255,255,255,255,255,251,191,128,139,137,138,137,129,134,133,133,131,130,129,128,128,124,127,105,70,118,210,250,255,
    		252,251,215,120,67,98,127,130,129,129,130,131,133,134,135,135,137,137,138,138,139,140,141,141,142,142,143,143,143,144,144,144,146,146,146,146,146,146,146,146,150,148,141,140,190,249,254,252,255,255,255,255,255,255,255,255,251,191,128,139,137,139,138,129,134,134,133,132,131,129,129,128,123,128,108,72,117,208,250,255,
    		252,252,218,122,67,97,127,132,130,130,131,132,134,135,136,136,138,138,139,139,140,141,141,142,143,143,144,144,144,145,145,145,146,146,146,146,146,146,146,146,150,148,142,141,191,249,254,252,255,255,255,255,255,255,255,255,252,192,129,140,138,139,138,130,135,134,134,132,131,130,129,129,123,129,108,72,117,208,251,255,
    		251,254,223,125,65,94,127,137,131,131,132,133,134,136,137,137,139,139,139,140,141,142,142,143,144,144,145,145,145,146,146,146,147,147,147,147,147,147,147,147,151,148,142,141,191,250,254,252,255,255,255,255,255,255,255,255,252,192,129,140,138,140,139,130,135,135,134,133,132,130,130,129,125,129,107,72,119,211,252,255,
    		248,254,229,129,64,90,127,141,131,132,133,134,135,136,137,138,139,140,140,141,142,142,143,143,145,145,145,146,146,146,147,147,148,148,148,148,148,148,148,148,151,149,142,142,192,250,254,252,255,255,255,255,255,255,255,255,252,193,129,141,138,140,139,131,136,135,134,133,132,131,130,129,128,129,104,70,121,214,253,255,
    		246,254,232,131,62,87,127,144,132,132,133,134,136,137,138,138,140,140,141,141,142,143,143,144,145,145,146,146,146,147,147,147,148,148,148,148,148,148,148,148,151,149,143,142,192,250,254,252,255,255,255,255,255,255,255,255,253,193,130,141,139,140,139,131,136,135,134,133,132,131,130,130,130,128,102,69,122,217,253,255,
    		255,255,241,179,92,71,101,115,140,138,136,135,136,138,141,143,145,145,145,146,146,147,147,147,153,153,153,154,154,155,155,155,157,157,157,157,157,157,157,157,148,149,150,163,202,246,255,254,253,253,253,252,252,251,251,251,255,203,153,146,148,140,137,145,144,143,142,139,137,135,133,132,117,102,68,87,174,239,255,255,
    		250,250,252,210,125,82,87,92,127,129,131,134,136,138,139,140,136,136,136,137,137,138,138,138,141,141,142,142,142,143,143,143,145,145,145,145,145,145,145,145,150,154,157,170,205,245,255,253,255,255,255,255,255,254,254,254,238,189,145,133,137,135,138,146,134,133,131,129,127,125,124,123,100,90,77,115,200,248,253,255,
    		255,253,254,245,176,114,83,65,91,95,101,106,110,111,111,110,111,112,112,112,113,113,113,113,116,117,117,117,118,118,118,118,120,120,120,120,120,120,120,120,118,123,126,129,147,171,179,172,178,178,178,177,177,177,176,176,165,139,112,102,105,106,111,114,108,107,106,104,102,101,100,99,72,85,110,168,236,254,255,255,
    		255,255,255,252,226,175,125,84,71,73,77,80,82,83,83,83,88,88,89,89,89,90,90,90,92,92,92,93,93,93,94,94,95,95,95,95,95,95,95,95,89,92,91,86,87,92,90,87,93,92,92,92,91,91,91,90,93,89,85,80,80,84,84,81,84,83,82,81,80,79,78,78,84,124,173,224,252,255,254,255,
    		253,251,255,254,251,236,200,161,135,133,131,129,129,129,131,132,132,132,133,133,133,134,134,134,131,131,132,132,132,133,133,133,134,134,134,134,134,134,134,134,132,134,135,130,127,124,123,121,127,127,126,126,126,125,125,125,120,130,135,133,132,135,135,131,128,128,128,127,127,126,126,126,159,198,235,251,254,255,249,251,
    		248,255,255,255,255,251,247,230,226,223,219,214,212,213,214,216,217,217,218,218,218,219,219,219,213,213,214,214,214,215,215,215,216,216,216,216,216,216,216,216,223,223,224,224,221,218,218,218,223,223,222,222,222,221,221,221,207,216,221,218,214,217,220,222,216,216,216,216,216,216,216,216,232,247,251,252,252,255,255,250,
    		253,255,255,255,254,254,251,248,254,254,253,252,251,251,251,251,253,253,253,254,254,254,254,254,253,253,253,254,254,254,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,249,253,255,255,252,250,252,254,254,254,254,254,254,254,254,254,248,251,252,251,254,255,255,254,
    		254,249,249,255,255,253,252,251,251,253,254,254,254,254,254,254,249,249,250,250,250,251,251,251,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,248,244,242,249,249,249,249,249,249,249,249,249,249,249,249,248,255,255,255,255,255,254,252,252,253,253,253,254,254,254,254,254,251,249,254,255,255,249,246,249};

    int blue[6400] = {255,255,251,248,241,248,250,242,244,246,248,248,248,248,248,248,248,248,248,248,248,248,248,248,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,248,248,248,248,248,248,248,248,255,255,255,255,255,255,255,255,253,253,253,253,253,253,253,253,254,253,255,255,255,255,255,251,245,250,248,246,245,251,255,255,
    		255,252,252,250,249,247,252,255,255,255,255,255,255,255,255,255,254,255,255,255,255,255,255,255,245,245,245,245,245,245,245,245,246,246,246,246,246,246,246,246,255,255,255,255,255,255,255,255,246,245,244,246,249,249,246,242,253,255,255,255,255,255,254,251,248,248,243,240,240,242,244,244,255,253,245,245,246,249,255,255,
    		255,254,252,251,253,255,255,255,246,245,243,242,241,240,241,241,239,239,239,240,240,240,241,241,228,228,228,228,228,228,228,228,230,230,230,230,230,230,230,230,238,238,238,238,238,238,238,238,230,229,228,229,230,230,229,228,235,234,233,232,232,232,233,233,231,232,232,231,231,233,237,240,255,255,255,253,251,250,254,255,
    		253,255,255,255,255,255,229,203,181,179,175,172,170,170,171,172,168,169,169,169,170,170,170,170,178,178,178,178,178,178,178,178,179,179,179,179,179,179,179,179,169,169,169,169,169,169,169,169,184,180,174,173,176,180,181,180,172,172,171,170,169,169,170,170,175,179,183,183,182,183,189,194,200,233,255,255,255,255,252,255,
    		255,255,255,255,241,198,153,124,121,119,115,112,110,110,111,112,108,108,108,108,109,109,109,110,122,122,122,122,122,122,122,122,123,123,123,123,123,123,123,123,113,113,113,113,113,113,113,113,127,121,117,118,123,126,123,119,113,116,120,123,123,119,114,111,124,125,125,120,116,116,121,127,119,156,195,236,255,255,250,255,
    		253,248,255,255,199,132,103,102,112,111,110,108,107,107,107,107,104,104,104,105,105,105,106,106,101,101,101,101,101,101,101,101,102,102,102,102,102,102,102,102,112,112,112,112,112,112,112,112,99,98,99,101,104,103,99,95,121,120,118,117,117,117,118,119,95,99,104,105,102,98,94,92,104,106,128,190,252,255,247,253,
    		251,250,255,230,146,100,109,116,109,110,111,112,112,112,111,110,108,108,109,109,109,110,110,110,104,104,104,104,104,104,104,104,105,105,105,105,105,105,105,105,114,114,114,114,114,114,114,114,102,106,107,102,96,96,104,111,100,99,97,96,96,96,97,98,102,101,101,103,104,102,99,95,120,107,96,140,221,255,252,251,
    		251,253,255,186,94,88,122,113,101,103,106,109,110,109,107,106,105,105,105,106,106,106,107,107,118,118,118,118,118,118,118,118,119,119,119,119,119,119,119,119,108,108,108,108,108,108,108,108,122,125,122,108,94,98,120,142,159,170,185,195,195,184,168,157,151,133,109,94,94,104,116,124,113,115,87,96,180,253,253,246,
    		255,255,227,150,110,118,112,101,107,107,108,109,109,110,111,111,110,111,111,111,112,112,112,112,109,109,109,109,110,110,110,111,114,114,114,114,114,114,114,114,116,113,119,108,112,105,116,120,108,106,105,126,176,234,253,248,254,254,254,254,254,254,254,254,251,244,253,244,226,197,99,123,106,115,117,106,145,225,255,255,
    		255,255,226,147,107,117,113,103,107,108,108,109,110,110,111,111,111,111,111,112,112,112,113,113,109,109,110,110,110,111,111,111,114,114,114,114,114,114,114,114,112,126,124,114,115,124,116,109,94,155,226,255,255,255,253,244,254,254,254,254,254,254,254,254,253,248,253,255,255,215,102,110,108,115,116,104,143,224,255,255,
    		255,255,224,143,104,115,114,106,108,108,109,110,110,111,112,112,111,112,112,112,113,113,113,114,112,112,113,113,113,114,114,114,117,117,117,117,117,117,117,117,113,129,117,121,112,115,97,106,182,226,255,255,255,255,255,253,254,254,254,254,254,254,254,254,253,253,253,255,255,212,102,105,110,116,115,101,141,222,255,255,
    		255,255,222,139,100,113,115,109,109,109,110,110,111,112,113,113,112,113,113,113,114,114,114,114,113,114,114,114,115,115,115,116,119,119,119,119,119,119,119,119,123,119,112,126,114,95,107,166,255,255,255,254,253,255,255,254,254,254,254,254,254,254,254,254,248,253,253,255,255,178,96,113,111,116,114,99,138,221,255,255,
    		255,255,221,137,98,112,115,110,110,110,111,111,112,113,114,114,113,113,114,114,115,115,115,115,117,117,117,118,118,119,119,119,122,122,122,122,122,122,122,122,124,116,122,126,121,105,167,255,251,251,253,253,253,255,255,255,254,254,254,254,254,254,254,254,245,253,253,253,249,143,95,118,111,116,113,99,138,221,255,255,
    		255,255,221,137,98,112,114,110,111,111,112,112,113,114,115,115,114,114,115,115,115,116,116,116,118,118,119,119,120,120,120,120,125,125,125,125,125,125,125,125,115,122,133,112,113,136,221,255,242,247,251,250,245,242,250,255,254,254,254,254,254,254,254,254,250,253,249,255,246,123,100,114,108,114,114,100,139,221,255,255,
    		255,255,221,138,99,112,114,108,111,112,112,113,114,115,115,116,115,115,115,116,116,117,117,117,121,121,122,122,123,123,123,123,126,126,126,126,126,126,126,126,115,127,131,109,112,176,248,255,249,251,253,253,253,249,245,247,254,254,254,254,254,254,254,254,253,251,248,255,239,104,106,115,106,113,114,102,141,222,254,255,
    		255,255,221,139,99,112,113,107,112,112,113,113,114,115,116,116,115,115,116,116,117,117,117,117,122,122,122,123,123,123,124,124,126,126,126,126,126,126,126,126,122,127,123,125,131,219,255,251,253,252,255,255,253,250,252,253,254,254,254,254,254,254,254,254,253,250,249,255,225,84,109,121,104,112,115,104,143,222,254,255,
    		252,250,219,143,104,116,112,103,109,110,111,112,113,114,115,116,120,120,121,122,123,123,124,124,123,123,123,124,124,124,125,125,127,127,127,127,127,127,127,127,118,135,136,135,133,250,253,253,255,255,255,255,255,255,255,255,255,242,233,238,255,255,255,232,248,244,255,255,197,94,106,109,103,112,116,104,143,219,250,252,
    		253,250,219,143,104,116,112,103,110,110,111,112,114,115,116,116,121,121,122,122,123,124,125,125,125,125,126,126,126,127,127,127,127,127,127,127,127,127,127,127,120,137,138,132,147,253,253,253,255,255,255,255,255,255,255,255,255,253,248,255,255,235,219,216,233,246,255,255,182,93,103,115,103,112,116,104,143,219,250,253,
    		253,251,219,143,105,116,113,103,111,111,112,113,115,116,117,117,122,122,123,123,124,125,126,126,126,126,126,127,127,127,128,128,128,128,128,128,128,128,128,128,122,139,141,128,167,255,253,252,255,255,255,255,255,255,255,255,255,255,240,191,161,148,134,127,141,155,163,193,139,103,112,118,103,113,116,105,143,219,251,253,
    		253,251,220,144,105,117,113,104,112,113,114,115,116,117,118,119,123,123,124,125,126,126,127,127,128,128,128,129,129,129,130,130,132,132,132,132,132,132,132,132,125,141,143,124,186,255,253,251,255,255,255,255,255,255,255,255,255,255,173,114,106,118,113,108,107,105,97,120,109,105,116,107,104,113,117,105,144,220,251,253,
    		253,252,220,144,106,117,114,104,114,114,115,116,117,119,119,120,125,125,125,126,127,128,128,129,129,129,129,130,130,130,131,131,135,135,135,135,135,135,135,135,127,141,143,124,195,255,253,251,255,255,255,255,255,255,255,255,255,211,121,121,138,136,127,141,124,119,119,114,110,102,117,109,104,114,117,106,144,220,252,253,
    		253,252,221,144,106,118,114,105,115,116,116,118,119,120,121,121,126,126,127,128,128,129,130,130,132,132,132,132,133,133,134,134,136,136,136,136,136,136,136,136,129,138,140,127,193,255,252,252,255,255,255,255,255,255,255,255,253,204,115,133,143,133,121,127,117,119,128,117,120,108,118,112,105,114,118,106,144,221,252,253,
    		253,252,221,145,107,118,114,105,116,117,117,119,120,121,122,122,127,127,128,129,129,130,131,131,132,132,133,133,134,134,134,134,139,139,139,139,139,139,139,139,130,136,137,131,186,255,251,253,255,255,255,255,255,255,255,255,243,205,120,132,125,128,126,124,126,124,125,121,123,117,112,107,105,114,118,107,145,221,252,253,
    		253,253,221,145,107,118,115,105,117,117,118,119,120,122,122,123,127,128,128,129,130,131,131,132,135,135,135,135,136,136,137,137,140,140,140,140,140,140,140,140,130,134,135,134,180,255,251,253,255,255,255,255,255,255,255,255,246,194,114,146,129,115,119,132,124,127,121,126,116,123,115,125,105,115,118,107,145,221,253,253,
    		251,255,228,146,99,111,117,118,117,118,119,122,125,126,128,129,131,131,132,133,134,134,135,135,141,141,141,141,142,142,142,143,148,140,152,138,128,144,142,141,135,143,151,123,178,255,246,253,255,255,255,255,255,255,255,255,255,187,123,139,134,123,117,113,133,130,125,133,113,115,113,118,123,121,114,101,146,228,254,250,
    		251,255,229,146,99,112,118,119,118,119,121,123,126,128,129,129,132,132,133,133,134,135,136,136,141,141,142,142,142,143,143,143,151,146,154,145,137,144,136,138,144,150,154,124,183,255,253,255,255,255,255,255,255,255,255,255,254,186,124,140,131,121,123,130,135,134,131,133,121,120,118,122,123,121,114,101,146,228,254,250,
    		251,255,229,146,100,113,119,120,119,122,122,126,127,129,132,132,135,135,136,136,137,138,139,139,142,142,143,143,143,144,144,144,151,145,146,141,145,151,147,156,161,160,157,128,184,255,255,253,255,255,255,255,255,255,255,255,252,185,126,148,145,137,136,140,144,141,138,135,129,119,117,119,123,122,115,101,147,228,255,250,
    		251,255,229,147,101,115,121,123,122,123,126,127,129,132,133,134,136,136,137,138,139,139,140,140,143,144,144,144,145,145,145,146,143,143,143,144,149,146,139,143,147,148,147,126,183,255,255,255,255,255,255,255,255,255,255,255,255,188,118,138,141,137,136,137,134,129,132,133,135,127,128,125,124,122,115,102,147,228,255,251,
    		251,255,229,148,103,116,123,125,126,126,127,129,133,134,137,137,140,140,140,141,142,143,143,144,145,145,145,146,146,147,147,147,139,146,152,153,149,140,133,125,131,133,138,131,181,254,255,255,255,255,255,255,255,255,255,255,255,192,122,128,121,122,133,138,124,119,128,137,129,128,131,126,124,123,116,102,148,229,255,251,
    		250,255,229,148,104,118,126,127,127,128,130,133,134,137,138,140,141,141,142,143,143,144,145,145,146,146,147,147,148,148,148,148,147,155,155,154,149,167,194,192,190,191,197,190,212,251,249,249,255,255,255,255,255,255,255,255,252,226,191,196,179,178,191,196,190,183,192,195,138,128,128,123,125,123,116,103,148,229,255,251,
    		250,255,229,149,105,119,127,129,129,130,131,134,137,138,141,141,143,143,144,145,145,146,147,147,147,147,148,148,149,149,149,149,153,157,155,149,142,193,255,255,253,255,255,255,254,250,251,255,255,255,255,255,255,255,255,255,250,255,255,255,254,252,255,255,255,254,255,255,148,131,132,129,125,123,116,103,148,230,255,251,
    		249,255,229,149,105,120,128,130,130,130,133,134,138,141,142,142,143,144,144,145,146,147,147,148,148,148,148,149,149,149,150,150,148,158,161,151,135,191,255,255,239,244,255,255,251,246,248,255,255,255,255,255,255,255,255,255,241,253,255,255,242,243,246,245,233,241,255,255,125,113,126,131,125,124,117,103,148,230,255,251,
    		247,251,228,150,105,121,131,135,133,134,136,138,140,142,143,144,140,141,141,142,143,144,145,145,153,153,153,153,154,154,155,155,139,148,157,155,146,195,255,255,255,255,255,255,255,254,255,255,255,255,255,255,255,255,255,255,244,248,248,248,242,241,245,248,255,254,255,255,142,143,141,126,130,128,122,110,154,232,252,244,
    		250,255,231,152,107,124,133,137,139,139,139,139,140,140,140,141,148,148,149,149,150,150,151,151,153,153,154,154,155,155,155,155,148,153,159,154,143,193,255,255,255,255,255,255,255,250,249,250,255,255,255,255,255,255,255,255,255,255,255,255,255,254,254,255,254,253,255,255,127,134,136,129,133,132,127,112,156,234,255,246,
    		250,255,232,154,110,124,135,138,145,144,144,143,142,141,141,140,153,153,153,153,152,152,152,152,155,155,155,156,156,156,157,157,169,170,169,158,140,185,249,247,244,247,253,253,255,255,255,255,255,255,255,255,255,255,255,255,254,255,255,255,255,255,255,255,246,246,255,255,111,133,139,132,136,136,129,116,159,234,255,246,
    		251,255,232,153,107,122,131,133,141,141,141,142,143,143,144,144,154,154,154,153,153,153,152,152,158,159,159,159,160,160,160,161,168,173,175,165,150,194,255,248,247,250,250,251,253,253,253,253,255,255,255,255,255,255,255,255,255,255,255,255,254,255,255,255,253,251,255,255,109,142,138,126,136,133,128,115,156,233,254,245,
    		250,254,229,149,103,116,125,128,133,134,136,140,143,146,149,150,154,154,154,154,154,155,155,155,162,163,163,163,164,164,164,165,169,172,170,159,146,192,255,250,238,244,252,253,251,248,251,255,255,255,255,255,255,255,255,255,247,250,250,249,243,241,245,250,255,250,255,251,113,148,144,132,131,129,122,109,153,230,250,241,
    		248,253,227,146,102,114,123,126,128,129,133,138,143,147,151,152,155,156,157,159,160,161,163,163,164,164,165,165,165,166,166,166,171,172,171,159,145,192,255,255,255,255,255,255,255,254,255,253,255,255,255,255,255,255,255,255,246,250,251,251,251,251,251,251,255,255,255,246,117,146,137,132,124,124,119,106,152,229,251,244,
    		252,255,231,149,103,117,123,126,127,128,131,134,138,142,144,146,150,151,153,156,159,162,164,165,167,167,167,167,168,168,169,169,160,167,175,170,158,201,255,255,255,255,255,255,255,255,253,248,255,255,255,255,255,255,255,255,255,255,253,251,255,255,255,251,255,252,255,227,123,140,127,121,122,122,118,107,154,233,255,250,
    		255,255,234,152,105,119,125,128,129,130,131,133,135,137,138,139,144,146,149,153,157,161,163,165,167,167,168,168,169,169,169,169,162,172,179,171,145,166,209,191,206,193,188,201,229,252,251,250,255,255,255,255,255,255,255,255,255,239,209,194,197,200,196,188,177,174,199,173,113,148,139,131,122,122,120,111,157,237,255,251,
    		255,255,227,153,116,132,130,124,135,136,137,138,139,140,141,142,148,149,149,150,151,151,152,152,162,162,163,164,164,165,166,166,173,173,173,173,173,173,173,173,169,177,178,160,207,255,249,250,255,255,255,255,255,255,255,255,252,208,137,163,149,139,140,148,146,145,144,141,138,137,135,134,124,130,132,116,153,227,255,255,
    		255,255,228,153,116,133,131,125,136,137,137,139,140,141,142,142,149,149,150,151,151,152,153,153,155,156,156,157,158,159,159,160,164,164,164,164,164,164,164,164,165,173,175,158,206,255,249,250,255,255,255,255,255,255,255,255,252,208,138,163,150,140,141,150,146,146,145,142,139,137,135,135,125,131,133,116,153,228,255,255,
    		255,255,228,153,117,134,132,126,139,139,140,141,142,143,144,145,150,151,151,152,153,154,154,154,151,151,152,153,153,154,155,155,157,157,157,157,157,157,157,157,160,169,171,155,204,255,249,250,255,255,255,255,255,255,255,255,252,209,138,164,151,142,144,152,148,147,146,143,140,139,137,136,126,132,134,117,153,228,255,255,
    		255,255,228,154,118,136,134,129,140,141,142,143,144,145,146,147,152,152,153,154,155,155,156,156,157,157,158,159,159,160,161,161,160,160,160,160,160,160,160,160,156,165,168,153,203,255,249,250,255,255,255,255,255,255,255,255,252,209,139,166,153,145,147,155,149,149,148,145,142,141,139,138,129,134,136,118,154,228,255,255,
    		255,255,228,155,120,137,136,131,144,145,146,147,148,149,150,150,154,154,155,156,157,157,158,158,161,161,162,163,163,164,165,165,163,163,163,163,163,163,163,163,156,165,168,153,203,255,249,250,255,255,255,255,255,255,255,255,253,210,140,168,156,148,150,159,151,151,150,147,144,142,141,140,131,136,137,120,155,228,255,255,
    		255,255,228,155,121,139,139,133,148,148,149,151,152,153,154,154,156,156,157,157,158,159,160,160,163,163,163,164,165,166,166,167,166,166,166,166,166,166,166,166,160,169,171,155,204,255,249,250,255,255,255,255,255,255,255,255,253,210,141,169,158,150,153,162,153,153,152,149,145,144,142,142,133,139,139,121,155,228,255,255,
    		255,255,228,156,122,140,140,135,149,150,151,152,153,154,155,156,157,157,158,159,160,160,161,161,163,163,164,164,165,166,167,167,167,167,167,167,167,167,167,167,165,173,175,158,206,255,249,250,255,255,255,255,255,255,255,255,254,211,142,170,159,152,155,164,154,154,153,150,147,146,144,143,135,140,140,122,156,228,255,255,
    		255,255,228,156,122,141,141,136,150,151,151,153,154,155,156,156,158,158,159,160,160,161,162,162,167,167,168,169,170,170,171,171,173,173,173,173,173,173,173,173,169,177,178,160,207,255,249,250,255,255,255,255,255,255,255,255,254,211,143,171,160,153,156,166,155,155,154,151,147,146,144,144,136,141,141,122,156,228,255,255,
    		255,255,227,157,129,149,146,137,149,150,151,153,154,156,157,158,166,166,167,167,168,169,169,170,171,171,172,172,172,173,173,173,173,174,174,174,175,175,175,175,168,176,178,160,209,255,252,251,255,255,255,255,255,255,255,255,254,210,159,173,168,159,161,175,159,158,157,156,154,152,151,151,137,146,149,129,157,227,255,255,
    		255,255,227,157,129,149,147,138,150,151,152,154,155,157,158,159,166,167,167,168,169,169,170,170,172,172,172,173,173,173,174,174,174,174,175,175,175,176,176,176,169,177,179,161,209,255,252,251,255,255,255,255,255,255,255,255,254,211,159,174,169,159,161,176,160,159,158,156,155,153,152,151,138,147,149,129,157,227,255,255,
    		255,255,227,158,130,151,149,140,152,152,153,155,157,158,159,160,167,168,168,169,170,170,171,171,173,173,174,174,174,175,175,175,175,176,176,176,177,177,177,178,171,179,180,161,210,255,252,251,255,255,255,255,255,255,255,255,255,211,160,175,169,160,162,176,161,160,159,157,156,154,153,152,140,149,151,130,158,227,255,255,
    		255,255,227,158,131,152,151,142,153,154,155,157,158,160,161,162,169,169,169,170,171,172,172,173,175,175,175,176,176,177,177,177,177,177,178,178,178,179,179,179,173,181,182,163,210,255,252,251,255,255,255,255,255,255,255,255,255,212,161,175,170,161,163,177,162,161,160,159,157,155,154,154,142,151,152,131,158,227,255,255,
    		255,255,227,159,133,154,153,145,155,156,157,159,160,162,163,164,170,170,171,172,173,173,174,174,177,177,177,178,178,179,179,179,179,179,180,180,180,181,181,181,175,183,183,164,211,255,251,251,255,255,255,255,255,255,255,255,255,213,162,176,171,162,164,178,163,163,162,160,158,157,156,155,145,153,154,133,159,227,255,255,
    		255,255,227,160,134,156,155,147,157,158,159,160,162,164,165,165,171,172,172,173,174,175,175,176,179,179,179,180,180,180,181,181,181,181,181,182,182,183,183,183,178,185,185,165,212,255,251,251,255,255,255,255,255,255,255,255,255,214,162,177,172,163,165,179,165,164,163,161,160,158,157,156,147,155,156,134,160,227,255,255,
    		255,254,227,160,135,157,157,149,158,159,160,162,163,165,166,167,172,173,173,174,175,176,176,177,180,180,181,181,181,182,182,182,182,182,183,183,184,184,184,184,179,187,186,166,212,255,251,251,255,255,255,255,255,255,255,255,255,215,163,178,173,163,165,180,166,165,164,162,161,159,158,157,149,157,157,135,160,227,254,255,
    		255,254,227,160,135,158,158,150,159,160,161,163,164,166,167,168,173,173,174,175,175,176,177,177,181,181,181,182,182,182,183,183,183,183,184,184,184,185,185,185,180,188,187,166,212,255,251,251,255,255,255,255,255,255,255,255,255,215,164,178,173,164,166,180,166,166,165,163,161,160,159,158,150,158,158,135,160,227,254,255,
    		244,246,222,164,148,158,148,151,162,163,164,166,167,169,170,171,171,171,172,173,174,174,175,175,175,175,176,177,177,178,179,179,180,180,180,180,180,180,180,180,188,188,185,180,217,255,249,236,254,254,254,254,254,254,254,254,255,211,156,175,178,177,171,158,171,170,169,167,166,164,163,162,152,151,161,152,168,223,249,246,
    		244,248,224,165,147,161,155,160,179,180,181,183,184,186,187,188,188,189,189,190,191,192,192,192,192,192,193,193,194,195,196,196,197,197,197,197,197,197,197,197,203,207,203,195,225,255,250,243,254,254,254,254,254,254,254,254,255,216,174,196,194,192,189,178,188,187,186,184,183,181,180,179,163,158,163,149,167,225,250,248,
    		246,252,229,166,145,164,170,176,204,205,206,208,209,211,212,213,213,214,214,215,216,217,217,217,217,217,217,218,219,220,220,221,222,222,222,222,222,222,222,222,214,220,220,206,230,255,251,249,254,254,254,254,254,254,254,254,255,226,198,225,218,211,210,207,213,212,211,209,208,206,205,204,178,172,166,147,168,229,254,248,
    		248,255,232,166,141,169,185,191,205,205,207,208,210,211,212,213,214,214,214,215,216,217,217,218,215,216,216,217,218,219,219,219,221,221,221,221,221,221,221,221,210,222,224,209,228,255,253,253,254,254,254,254,254,254,254,254,250,222,197,225,218,210,210,209,213,212,211,210,208,207,205,205,191,185,171,143,168,234,255,249,
    		251,255,235,168,141,176,197,202,199,200,201,203,204,206,207,208,208,208,209,210,211,211,212,212,210,211,211,212,213,214,214,215,216,216,216,216,216,216,216,216,206,220,225,209,228,255,253,253,254,254,254,254,254,254,254,254,253,224,195,221,213,208,209,205,208,207,206,204,203,201,200,199,200,195,175,141,166,235,255,251,
    		255,255,237,168,141,182,204,203,202,203,204,205,207,209,210,210,211,211,212,213,213,214,215,215,213,213,214,214,215,216,217,217,218,218,218,218,218,218,218,218,208,222,227,212,230,255,253,253,254,254,254,254,254,254,254,254,255,229,197,223,218,213,213,210,210,210,209,207,205,204,203,202,201,203,180,140,166,235,255,253,
    		255,255,235,167,142,188,208,199,200,200,202,203,205,206,207,208,209,209,209,210,211,212,212,213,211,211,212,213,214,214,215,215,217,217,217,217,217,217,217,217,215,227,228,214,231,255,253,251,254,254,254,254,254,254,254,254,255,225,197,222,216,212,213,211,208,207,206,205,203,202,200,200,196,206,184,139,165,233,254,253,
    		255,255,233,166,142,189,210,194,206,207,208,210,211,213,214,215,215,216,216,217,218,219,219,219,217,217,218,218,219,220,220,221,222,222,222,222,222,222,222,222,220,229,229,211,228,255,250,246,254,254,254,254,254,254,254,254,251,225,202,229,222,217,219,219,215,214,213,211,210,208,207,206,193,206,187,139,163,231,253,253,
    		253,254,235,170,146,191,210,200,207,207,208,209,211,212,213,213,215,215,216,216,217,218,219,219,220,220,221,221,222,222,222,222,221,221,221,221,221,221,221,221,219,230,229,208,225,255,255,254,255,255,255,255,255,255,255,255,255,228,200,226,219,214,217,216,214,214,213,212,211,210,209,208,203,211,191,147,172,238,255,253,
    		255,254,234,169,148,193,211,200,207,208,209,210,211,212,213,214,215,215,216,217,218,218,219,219,221,221,221,221,222,222,223,223,222,222,222,222,222,222,222,222,219,230,229,209,226,255,255,255,255,255,255,255,255,255,255,255,255,228,200,226,219,214,217,217,215,214,213,212,211,210,209,208,201,211,193,148,171,236,255,255,
    		255,255,234,169,149,195,212,199,208,208,209,211,212,213,214,214,216,216,217,217,218,219,220,220,221,221,222,222,223,223,223,223,223,223,223,223,223,223,223,223,220,230,230,209,226,255,255,255,255,255,255,255,255,255,255,255,255,229,201,227,220,214,217,217,215,214,214,212,211,210,209,209,199,212,196,150,170,234,255,255,
    		255,255,234,170,150,196,213,200,209,209,210,211,213,214,215,215,217,217,218,218,219,220,221,221,222,222,223,223,223,224,224,224,226,226,226,226,226,226,226,226,220,231,230,209,226,255,255,255,255,255,255,255,255,255,255,255,255,229,201,227,220,215,218,217,215,215,214,213,212,210,210,209,198,213,199,152,169,232,255,255,
    		255,255,237,172,150,195,213,202,210,210,211,212,214,215,216,216,218,218,219,219,220,221,221,222,223,223,224,224,224,225,225,225,226,226,226,226,226,226,226,226,220,231,231,210,227,255,255,255,255,255,255,255,255,255,255,255,255,230,202,228,221,215,218,218,216,215,215,213,212,211,210,210,198,214,199,152,169,232,255,255,
    		254,255,242,175,148,192,213,207,211,211,212,213,214,216,217,217,219,219,219,220,221,222,222,223,224,224,225,225,225,226,226,226,229,229,229,229,229,229,229,229,221,231,231,210,227,255,255,255,255,255,255,255,255,255,255,255,255,230,202,228,221,216,219,218,216,216,215,214,213,211,211,210,200,214,198,152,171,235,255,255,
    		251,255,248,179,147,188,213,211,211,212,213,214,215,216,217,218,219,220,220,221,222,222,223,223,225,225,225,226,226,226,227,227,230,230,230,230,230,230,230,230,221,232,231,211,228,255,255,255,255,255,255,255,255,255,255,255,255,231,202,229,221,216,219,219,217,216,215,214,213,212,211,210,203,214,195,150,173,238,255,255,
    		249,255,251,181,145,185,213,214,212,212,213,214,216,217,218,218,220,220,221,221,222,223,223,224,225,225,226,226,226,227,227,227,232,232,232,232,232,232,232,232,221,232,232,211,228,255,255,255,255,255,255,255,255,255,255,255,255,231,203,229,222,216,219,219,217,216,215,214,213,212,211,211,205,213,193,149,174,241,255,255,
    		244,255,255,223,160,159,201,222,222,220,218,217,218,220,223,225,229,229,229,230,230,231,231,231,234,234,234,235,235,236,236,236,238,238,238,238,238,238,238,238,244,237,223,216,234,255,253,243,248,248,248,247,247,246,246,246,255,228,204,219,236,231,221,224,223,222,221,218,216,214,212,211,224,202,156,155,218,255,255,244,
    		244,252,255,244,180,158,180,195,210,212,214,217,219,221,222,223,221,221,221,222,222,223,223,223,225,225,226,226,226,227,227,227,229,229,229,229,229,229,229,229,234,232,222,219,238,255,255,252,255,255,255,255,255,255,255,255,255,229,205,215,228,227,222,225,216,215,213,211,209,207,206,205,203,183,153,170,234,255,255,250,
    		255,255,255,255,208,171,163,158,191,195,201,206,210,211,211,210,213,214,214,214,215,215,215,215,219,220,220,220,221,221,221,221,223,223,223,223,223,223,223,223,221,221,215,209,217,231,231,220,230,230,230,229,229,229,228,228,233,216,203,208,214,214,211,208,206,205,204,202,200,199,198,197,165,165,167,200,251,255,255,255,
    		255,255,251,250,237,210,186,161,177,179,183,186,188,189,189,189,196,196,197,197,197,198,198,198,204,204,204,205,205,205,206,206,207,207,207,207,207,207,207,207,215,217,211,202,199,200,197,190,200,199,199,199,198,198,198,197,191,194,197,198,200,197,189,182,190,189,188,187,186,185,184,184,161,185,208,235,250,251,255,255,
    		255,253,248,244,250,253,241,215,204,202,200,198,198,198,200,201,205,205,206,206,206,207,207,207,208,208,209,209,209,210,210,210,211,211,211,211,211,211,211,211,221,221,222,218,215,211,210,206,214,214,213,213,213,212,212,212,196,209,216,215,211,210,205,196,199,199,199,198,198,197,197,197,213,239,252,250,244,248,251,255,
    		255,255,251,248,251,255,255,255,239,236,232,227,225,226,227,229,234,234,235,235,235,236,236,236,231,231,232,232,232,233,233,233,234,234,234,234,234,234,234,234,237,237,238,237,236,233,233,234,240,240,239,239,239,238,238,238,227,236,241,237,232,232,235,233,231,231,231,231,231,231,231,231,255,255,255,248,244,251,255,255,
    		255,255,255,255,255,255,255,255,246,246,245,244,243,243,243,243,247,247,247,248,248,248,248,248,246,246,246,247,247,247,248,248,248,248,248,248,248,248,248,248,250,250,249,250,250,247,247,248,250,250,250,249,249,249,248,248,244,246,248,246,242,241,246,248,250,250,250,250,250,250,250,250,255,255,255,252,253,255,255,255,
    		251,251,253,255,255,254,248,244,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,254,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,244,245,255,255,255,253,248,246};


    int green[6400] = {253,254,255,255,250,254,254,244,252,254,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,254,255,255,255,255,255,254,254,254,254,254,254,254,254,252,251,253,255,255,255,255,249,247,254,254,255,253,255,255,250,
    		253,250,255,255,254,251,253,254,252,253,254,255,255,254,253,253,251,252,252,252,253,253,253,254,252,252,252,252,252,252,252,252,253,253,253,253,253,253,253,253,252,252,252,252,252,252,252,252,253,252,251,253,255,255,253,249,249,251,254,255,255,253,250,247,255,255,253,250,250,252,254,254,254,254,249,250,252,252,254,255,
    		251,252,255,255,255,255,252,249,227,226,224,223,222,221,222,222,220,220,220,221,221,221,222,222,219,219,219,219,219,219,219,219,221,221,221,221,221,221,221,221,219,219,219,219,219,219,219,219,221,220,219,220,221,221,220,219,223,222,221,220,220,220,221,221,222,223,223,222,222,224,228,231,253,254,255,255,255,253,252,255,
    		251,255,255,255,255,250,213,183,146,144,140,137,135,135,136,137,135,136,136,136,137,137,137,137,133,133,133,133,133,133,133,133,134,134,134,134,134,134,134,134,136,136,136,136,136,136,136,136,139,135,129,128,131,135,136,135,138,138,137,136,135,135,136,136,127,131,135,135,134,135,141,146,180,217,248,255,255,255,252,253,
    		254,254,255,255,231,181,126,94,75,73,69,66,64,64,65,66,65,65,65,65,66,66,66,67,67,67,67,67,67,67,67,67,68,68,68,68,68,68,68,68,70,70,70,70,70,70,70,70,72,66,62,63,68,71,68,64,61,64,68,71,71,67,62,59,67,68,68,63,59,59,64,70,89,129,178,226,255,255,249,254,
    		253,250,255,251,184,106,68,61,65,64,63,61,60,60,60,60,61,61,61,62,62,62,63,63,70,70,70,70,70,70,70,70,71,71,71,71,71,71,71,71,69,69,69,69,69,69,69,69,68,67,68,70,73,72,68,64,69,68,66,65,65,65,66,67,58,62,67,68,65,61,57,55,63,71,102,175,246,255,249,253,
    		254,251,254,220,126,69,67,66,66,67,68,69,69,69,68,67,71,71,72,72,72,73,73,73,78,78,78,78,78,78,78,78,79,79,79,79,79,79,79,79,77,77,77,77,77,77,77,77,76,80,81,76,70,70,78,85,63,62,60,59,59,59,60,61,70,69,69,71,72,70,67,63,70,65,65,120,211,253,253,254,
    		253,254,251,176,72,54,75,59,61,63,66,69,70,69,67,66,72,72,72,73,73,73,74,74,72,72,72,72,72,72,72,72,73,73,73,73,73,73,73,73,75,75,75,75,75,75,75,75,76,79,76,62,48,52,74,96,140,151,166,176,176,165,149,138,99,81,57,42,42,52,64,72,59,68,53,74,170,248,254,248,
    		249,252,221,131,70,68,65,62,64,64,65,66,66,67,68,68,70,71,71,71,72,72,72,72,73,73,73,73,74,74,74,75,77,77,77,77,77,77,77,77,75,74,82,70,74,62,73,75,69,70,76,104,164,229,254,252,254,254,254,254,254,254,254,254,253,246,255,242,214,171,61,76,66,66,66,65,126,220,254,253,
    		251,253,220,128,67,67,66,64,64,65,65,66,67,67,68,68,71,71,71,72,72,72,73,73,73,73,74,74,74,75,75,75,77,77,77,77,77,77,77,77,71,87,84,76,77,84,76,67,62,128,201,240,253,254,255,247,254,254,254,254,254,254,254,254,255,250,255,254,244,189,64,63,68,66,65,63,124,219,255,253,
    		252,254,218,124,64,65,67,67,65,65,66,67,67,68,69,69,71,72,72,72,73,73,73,74,74,74,75,75,75,76,76,76,78,78,78,78,78,78,78,78,74,90,77,81,74,79,63,71,163,209,253,254,255,253,255,255,254,254,254,254,254,254,254,254,255,255,255,255,255,186,64,58,70,67,64,60,122,217,255,253,
    		252,254,216,120,60,63,68,70,66,66,67,67,68,69,70,70,72,73,73,73,74,74,74,74,75,76,76,76,77,77,77,78,80,80,80,80,80,80,80,80,83,79,71,87,79,62,78,139,253,253,254,249,251,255,255,254,254,254,254,254,254,254,254,254,250,255,255,255,250,152,58,66,71,67,63,58,119,216,255,253,
    		252,254,215,118,58,62,68,71,67,67,68,68,69,70,71,71,73,73,74,74,75,75,75,75,77,77,77,78,78,79,79,79,81,81,81,81,81,81,81,81,84,74,81,85,86,76,144,237,253,254,253,254,255,255,255,255,254,254,254,254,254,254,254,254,247,255,255,251,237,117,57,71,71,67,62,58,119,216,255,253,
    		252,254,215,118,58,62,67,71,68,68,69,69,70,71,72,72,74,74,75,75,75,76,76,76,78,78,79,79,80,80,80,80,82,82,82,82,82,82,82,82,76,80,91,72,79,110,205,254,247,252,255,254,247,244,251,255,254,254,254,254,254,254,254,254,252,255,251,253,234,97,62,67,68,65,63,59,120,216,254,253,
    		252,254,215,119,59,62,67,69,68,69,69,70,71,72,72,73,75,75,75,76,76,77,77,77,78,78,79,79,80,80,80,80,83,83,83,83,83,83,83,83,76,85,89,69,80,155,236,253,252,254,255,255,255,251,247,249,254,254,254,254,254,254,254,254,255,253,250,255,227,78,68,68,66,64,63,61,122,217,252,252,
    		252,253,215,120,59,62,66,68,69,69,70,70,71,72,73,73,75,75,76,76,77,77,77,77,79,79,79,80,80,80,81,81,83,83,83,83,83,83,83,83,83,85,82,85,99,197,254,251,255,255,255,255,255,253,254,255,254,254,254,254,254,254,254,254,255,252,251,254,213,58,71,74,64,63,64,63,124,217,252,250,
    		253,253,217,121,61,65,68,71,69,70,71,72,73,74,75,76,77,77,78,79,80,80,81,81,84,84,84,85,85,85,86,86,85,85,85,85,85,85,85,85,82,88,83,92,110,245,255,254,255,255,255,255,255,255,255,255,255,248,249,246,250,252,255,249,254,247,255,255,177,65,71,70,71,68,65,61,121,217,253,253,
    		254,253,217,121,61,65,68,71,70,70,71,72,74,75,76,76,78,78,79,79,80,81,82,82,84,84,85,85,85,86,86,86,85,85,85,85,85,85,85,85,84,90,85,89,124,248,255,254,255,255,255,255,255,255,255,255,250,255,255,255,240,214,209,222,230,241,254,255,159,63,67,78,71,68,65,61,121,217,253,254,
    		254,254,217,121,62,65,69,71,71,71,72,73,75,76,77,77,79,79,80,80,81,82,83,83,85,85,85,86,86,86,87,87,86,86,86,86,86,86,86,86,86,92,88,85,144,253,255,253,255,255,255,255,255,255,255,255,254,255,236,175,132,116,109,113,125,138,142,168,111,70,76,82,71,69,65,62,121,217,254,254,
    		254,254,218,122,62,66,69,72,72,73,74,75,76,77,78,79,80,80,81,82,83,83,84,84,85,85,85,86,86,86,87,87,88,88,88,88,88,88,88,88,89,94,90,81,163,255,255,252,255,255,255,255,255,255,255,255,254,243,154,85,66,75,74,74,79,74,66,89,76,72,80,71,72,69,66,62,122,218,254,254,
    		254,255,218,122,63,66,70,72,74,74,75,76,77,79,79,80,82,82,82,83,84,85,85,86,86,86,86,87,87,87,88,88,88,88,88,88,88,88,88,88,91,94,90,81,172,255,255,252,255,255,255,255,255,255,255,255,253,195,89,78,91,90,80,94,85,82,82,76,73,65,81,73,72,70,66,63,122,218,255,254,
    		254,255,219,122,63,67,70,73,75,76,76,78,79,80,81,81,83,83,84,85,85,86,87,87,87,87,87,87,88,88,89,89,89,89,89,89,89,89,89,89,93,91,87,84,170,255,254,253,255,255,255,255,255,255,255,255,252,185,76,84,96,89,74,76,76,77,87,76,81,68,81,75,73,70,67,63,122,219,255,254,
    		254,255,219,123,64,67,70,73,76,77,77,79,80,81,82,82,84,84,85,86,86,87,88,88,87,87,88,88,89,89,89,89,90,90,90,90,90,90,90,90,94,89,84,88,163,255,253,254,255,255,255,255,255,255,255,255,246,185,76,80,80,89,85,75,84,82,83,79,81,78,73,68,73,70,67,64,123,219,255,254,
    		254,255,219,123,64,67,71,73,77,77,78,79,80,82,82,83,84,85,85,86,87,88,88,89,88,88,88,88,89,89,90,90,91,91,91,91,91,91,91,91,94,87,82,91,157,253,253,254,255,255,255,255,255,255,255,255,251,175,68,94,88,82,83,84,82,86,80,86,74,82,74,84,73,71,67,64,123,219,255,254,
    		254,254,217,124,66,71,73,74,80,81,82,83,84,85,85,86,87,87,88,89,90,90,91,91,91,91,91,91,92,92,92,93,98,91,105,92,84,99,97,96,90,89,97,81,162,255,251,253,255,255,255,255,255,255,255,255,253,164,79,91,94,93,89,81,88,84,82,91,73,77,77,82,79,77,74,68,124,217,252,253,
    		254,254,218,124,66,72,74,75,81,82,82,84,85,85,86,86,88,88,89,89,90,91,92,92,91,91,92,92,92,93,93,93,101,96,105,97,90,97,89,89,96,93,97,81,163,255,255,253,255,255,255,255,255,255,255,255,249,162,80,89,87,85,88,89,86,85,84,88,78,77,77,83,79,77,74,68,124,217,252,253,
    		254,254,218,124,67,73,75,76,82,83,83,85,86,86,87,87,88,88,89,89,90,91,92,92,92,92,93,93,93,94,94,94,101,95,96,91,95,101,97,106,110,102,98,81,161,255,254,248,255,255,255,255,255,255,255,255,245,159,80,95,98,93,91,90,93,90,88,86,84,75,74,76,79,78,75,68,125,217,253,253,
    		254,254,218,125,68,75,77,79,83,84,85,86,86,87,88,89,89,89,90,91,92,92,93,93,93,94,94,94,95,95,95,96,93,92,91,90,95,94,90,96,100,93,90,81,160,255,254,249,255,255,255,255,255,255,255,255,255,163,75,87,94,93,87,80,85,80,84,84,88,81,82,80,80,78,75,69,125,217,253,254,
    		254,253,218,126,70,76,79,81,85,85,86,86,88,89,90,90,91,91,91,92,93,94,94,95,95,95,95,96,96,97,97,97,88,95,98,100,99,94,91,86,94,88,91,93,164,250,254,247,255,255,255,255,255,255,255,255,255,173,86,85,82,88,92,88,87,79,88,95,86,82,85,80,80,79,76,69,126,218,254,254,
    		253,253,218,126,71,78,82,83,86,87,87,88,89,90,91,90,92,92,93,94,94,95,96,96,96,96,97,97,98,98,98,98,97,102,102,102,102,128,165,166,174,164,165,163,203,252,251,242,255,255,255,255,255,255,255,255,253,213,163,167,157,161,167,164,169,161,166,163,102,88,85,76,81,79,76,70,126,218,254,254,
    		253,253,218,127,72,79,83,85,86,87,88,89,90,91,91,91,93,93,94,95,95,96,97,97,97,97,98,98,99,99,99,99,103,107,104,100,102,163,245,254,255,249,249,245,254,255,255,252,255,255,255,255,255,255,255,255,255,255,244,253,248,253,255,244,253,248,255,242,121,95,91,85,81,79,76,70,126,219,254,254,
    		252,253,218,127,72,80,84,86,87,87,88,89,91,91,92,92,93,94,94,95,96,97,97,98,98,98,98,99,99,99,100,100,99,106,110,105,98,166,255,253,254,246,253,254,255,255,254,254,255,255,255,255,255,255,255,255,253,254,246,251,248,255,255,247,243,247,254,254,103,81,85,88,81,80,77,70,126,219,255,254,
    		252,251,217,127,72,80,84,86,87,88,90,92,94,96,97,98,93,94,94,95,96,97,98,98,103,103,103,103,104,104,105,105,95,100,104,104,103,165,247,253,248,252,253,253,253,250,254,254,255,255,255,255,255,255,255,255,254,255,255,255,252,251,255,255,255,253,251,244,101,93,92,82,86,84,80,73,127,219,254,255,
    		255,254,220,129,74,82,86,88,93,93,93,93,94,94,94,95,99,99,100,100,101,101,102,102,103,103,104,104,105,105,105,105,99,101,104,100,100,165,251,254,252,254,254,254,253,249,248,249,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,253,249,89,85,90,86,89,88,83,75,129,221,255,255,
    		255,255,221,131,75,82,86,88,97,96,96,95,94,93,93,92,104,104,104,104,103,103,103,103,105,105,105,106,106,106,107,107,112,113,110,103,97,159,242,250,248,251,255,255,254,254,252,252,255,255,255,255,255,255,255,255,247,248,250,250,250,250,252,253,250,251,253,246,75,86,93,92,92,89,85,76,130,221,255,255,
    		254,253,219,127,72,78,82,83,93,93,93,94,95,95,96,96,103,103,103,102,102,102,101,101,106,107,107,107,108,108,108,109,108,112,112,108,108,171,255,255,255,255,255,255,255,253,251,251,255,255,255,255,255,255,255,255,254,254,254,254,251,252,254,254,255,255,254,243,74,95,95,86,89,86,81,73,127,217,252,252,
    		251,249,213,122,66,72,75,75,83,84,86,90,93,96,99,100,103,103,103,103,103,104,104,104,108,109,109,109,110,110,110,111,107,108,108,103,102,167,253,255,243,249,254,255,251,248,251,255,255,255,255,255,255,255,255,255,252,255,255,254,248,246,250,255,255,251,251,232,73,101,97,91,82,80,75,67,121,212,248,248,
    		249,247,211,119,62,67,70,71,76,77,81,86,91,95,99,100,101,102,103,105,106,107,109,109,110,110,111,111,111,112,112,112,112,112,109,102,99,163,251,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,251,255,255,255,255,255,255,255,255,253,253,220,74,92,87,85,75,74,70,63,118,211,246,249,
    		251,249,213,120,63,68,70,71,75,76,79,82,86,90,92,94,96,97,99,102,105,108,110,111,111,111,111,111,112,112,113,113,107,111,116,113,111,168,247,253,253,253,248,247,253,255,255,253,255,255,255,255,255,255,255,255,255,255,247,245,249,251,249,245,247,243,250,195,73,83,70,68,72,72,69,64,120,214,251,253,
    		254,252,216,123,65,70,72,73,77,78,79,81,83,85,86,87,88,90,93,97,101,105,107,109,111,111,112,112,113,113,113,113,112,118,122,114,96,132,190,181,178,169,168,188,222,251,255,255,255,255,255,255,255,255,255,255,246,220,190,175,178,181,177,169,165,161,178,137,60,86,79,76,72,72,70,65,123,218,254,254,
    		253,254,218,124,65,70,75,77,81,82,83,84,85,86,87,88,88,89,89,90,91,91,92,92,107,107,108,109,109,110,111,111,118,118,118,118,118,118,118,118,111,113,113,106,176,255,254,255,255,255,255,255,255,255,255,255,253,181,77,92,89,89,84,81,86,85,84,83,82,81,81,80,77,75,70,65,124,218,254,253,
    		253,254,219,124,65,71,76,78,82,83,83,85,86,87,88,88,89,89,90,91,91,92,93,93,98,99,99,100,101,102,102,103,107,107,107,107,107,107,107,107,107,109,110,104,175,255,254,255,255,255,255,255,255,255,255,255,253,181,78,92,90,90,85,83,86,86,85,84,83,81,81,81,78,76,71,65,124,219,254,253,
    		253,254,219,124,66,72,77,79,83,83,84,85,86,87,88,89,90,91,91,92,93,94,94,94,94,94,95,96,96,97,98,98,100,100,100,100,100,100,100,100,102,105,106,101,173,254,254,255,255,255,255,255,255,255,255,255,253,182,78,93,91,92,88,85,88,87,86,85,84,83,83,82,79,77,72,66,124,219,254,253,
    		253,254,219,125,67,74,79,82,84,85,86,87,88,89,90,91,92,92,93,94,95,95,96,96,98,98,99,100,100,101,102,102,101,101,101,101,101,101,101,101,98,101,103,99,172,254,254,255,255,255,255,255,255,255,255,255,253,182,79,95,93,95,91,88,89,89,88,87,86,85,85,84,82,79,74,67,125,219,254,253,
    		253,253,219,126,69,75,81,84,86,87,88,89,90,91,92,92,94,94,95,96,97,97,98,98,103,103,104,105,105,106,107,107,105,105,105,105,105,105,105,105,98,101,103,99,172,254,254,255,255,255,255,255,255,255,255,255,254,183,80,97,96,98,94,92,91,91,90,89,88,86,87,86,84,81,75,69,126,219,253,253,
    		252,253,219,126,70,77,84,86,88,88,89,91,92,93,94,94,96,96,97,97,98,99,100,100,102,102,102,103,104,105,105,106,105,105,105,105,105,105,105,105,102,105,106,101,173,254,254,255,255,255,255,255,255,255,255,255,254,183,81,98,98,100,97,95,93,93,92,91,89,88,88,88,86,84,77,70,126,219,253,252,
    		252,253,219,127,71,78,85,88,89,90,91,92,93,94,95,96,97,97,98,99,100,100,101,101,103,103,104,104,105,106,107,107,107,107,107,107,107,107,107,107,107,109,110,104,175,255,254,255,255,255,255,255,255,255,255,255,255,184,82,99,99,102,99,97,94,94,93,92,91,90,90,89,88,85,78,71,127,219,253,252,
    		251,253,219,127,71,79,86,89,90,91,91,93,94,95,96,96,98,98,99,100,100,101,102,102,105,105,106,107,108,108,109,109,111,111,111,111,111,111,111,111,111,113,113,106,176,255,254,255,255,255,255,255,255,255,255,255,255,184,83,100,100,103,100,99,95,95,94,93,91,90,90,90,89,86,79,71,127,219,253,251,
    		254,254,217,127,75,83,86,85,88,89,90,92,93,95,96,97,101,101,102,102,103,104,104,105,108,108,109,109,109,110,110,110,110,111,111,111,112,112,112,112,110,111,113,106,176,254,254,255,255,255,255,255,255,255,255,255,252,179,98,103,108,105,101,103,99,98,97,96,94,92,91,91,85,86,83,75,127,217,254,254,
    		254,254,217,127,75,83,87,86,90,91,92,94,95,97,98,99,101,102,102,103,104,104,105,105,109,109,109,110,110,110,111,111,111,111,112,112,112,113,113,113,111,112,114,107,176,254,254,255,255,255,255,255,255,255,255,255,252,180,98,104,109,105,101,104,100,99,98,96,95,93,92,91,86,87,83,75,127,217,254,254,
    		254,254,217,128,76,85,89,88,92,92,93,95,97,98,99,100,103,104,104,105,106,106,107,107,110,110,111,111,111,112,112,112,112,113,113,113,114,114,114,115,113,114,115,107,177,254,254,255,255,255,255,255,255,255,255,255,253,180,99,105,109,106,102,104,101,100,99,97,96,94,93,92,88,89,85,76,128,217,254,254,
    		254,253,217,128,77,86,91,90,93,94,95,97,98,100,101,102,105,105,105,106,107,108,108,109,112,112,112,113,113,114,114,114,114,114,115,115,115,116,116,116,115,116,117,109,177,254,254,255,255,255,255,255,255,255,255,255,254,181,100,105,110,107,103,105,102,101,100,99,97,95,94,94,90,91,86,77,128,217,253,254,
    		254,253,217,129,79,88,93,93,95,96,97,99,100,102,103,104,106,106,107,108,109,109,110,110,114,114,114,115,115,116,116,116,116,116,117,117,117,118,118,118,117,118,118,110,178,254,253,255,255,255,255,255,255,255,255,255,255,182,101,106,111,108,104,106,103,103,102,100,98,97,96,95,93,93,88,79,129,217,253,254,
    		254,253,217,130,80,90,95,95,98,99,100,101,103,105,106,106,107,108,108,109,110,111,111,112,116,116,116,117,117,117,118,118,118,118,118,119,119,120,120,120,120,120,120,111,179,254,253,255,255,255,255,255,255,255,255,255,255,183,101,107,112,109,105,107,105,104,103,101,100,98,97,96,95,95,90,80,130,217,253,254,
    		254,252,217,130,81,91,97,97,99,100,101,103,104,106,107,108,109,110,110,111,112,113,113,114,117,117,118,118,118,119,119,119,119,119,120,120,121,121,121,121,121,122,121,112,179,254,253,255,255,255,255,255,255,255,255,255,255,184,102,108,113,109,105,108,106,105,104,102,101,99,98,97,97,97,91,81,130,217,252,254,
    		254,252,217,130,81,92,98,98,101,102,103,105,106,108,109,110,110,110,111,112,112,113,114,114,118,118,118,119,119,119,120,120,120,120,121,121,121,122,122,122,122,123,122,112,179,254,253,255,255,255,255,255,255,255,255,255,255,184,103,108,113,110,106,108,106,106,105,103,101,100,99,98,98,98,92,81,130,217,252,254,
    		254,253,213,130,88,86,83,97,99,100,101,103,104,106,107,108,109,109,110,111,112,112,113,113,116,116,117,118,118,119,120,120,121,121,121,121,121,121,121,121,119,116,114,123,186,252,255,248,254,254,254,254,254,254,254,254,255,183,105,110,113,119,117,103,108,107,106,104,103,101,100,99,96,82,85,87,129,213,252,254,
    		254,253,215,131,87,89,92,108,120,121,122,124,125,127,128,129,130,131,131,132,133,134,134,134,136,136,137,137,138,139,140,140,141,141,141,141,141,141,141,141,143,141,138,141,196,255,255,253,254,254,254,254,254,254,254,254,253,190,125,134,133,136,136,127,129,128,127,125,124,122,121,120,107,91,89,86,131,215,253,253,
    		254,255,219,132,85,94,107,126,151,152,153,155,156,158,159,160,159,160,160,161,162,163,163,163,166,166,166,167,168,169,169,170,171,171,171,171,171,171,171,171,166,166,164,159,204,255,255,255,254,254,254,254,254,254,254,254,255,206,155,167,161,161,163,160,160,159,158,156,155,153,152,151,126,107,94,84,132,219,255,253,
    		253,255,222,132,83,102,125,144,156,156,158,159,161,162,163,164,164,164,164,165,166,167,167,168,168,169,169,170,171,172,172,172,174,174,174,174,174,174,174,174,174,178,175,168,205,252,255,255,254,254,254,254,254,254,254,254,251,206,158,171,164,163,167,166,164,163,162,161,159,158,156,156,144,125,101,83,132,222,255,253,
    		255,255,223,132,83,109,139,156,154,155,156,158,159,161,162,163,161,161,162,163,164,164,165,165,165,166,166,167,168,169,169,170,171,171,171,171,171,171,171,171,172,178,178,169,204,251,255,255,254,254,254,254,254,254,254,254,255,208,155,169,161,161,165,163,163,162,161,159,158,156,155,154,156,139,109,83,132,223,255,255,
    		254,254,222,132,83,116,148,159,156,157,158,159,161,163,164,164,164,164,165,166,166,167,168,168,169,169,170,170,171,172,173,173,174,174,174,174,174,174,174,174,171,177,178,170,206,254,254,255,254,254,254,254,254,254,254,254,255,212,157,169,164,166,169,165,164,164,163,161,159,158,157,156,160,149,116,83,132,223,254,255,
    		254,252,220,131,84,122,154,158,153,153,155,156,158,159,160,161,162,162,162,163,164,165,165,166,165,165,166,167,168,168,169,169,171,171,171,171,171,171,171,171,171,176,174,167,204,252,254,255,254,254,254,254,254,254,254,254,253,203,152,165,159,160,165,163,161,160,159,158,156,155,153,153,158,154,123,85,131,221,252,255,
    		254,251,218,130,84,125,156,155,156,157,158,160,161,163,164,165,167,168,168,169,170,171,171,171,171,171,172,172,173,174,174,175,176,176,176,176,176,176,176,176,170,174,171,162,199,248,250,250,254,254,254,254,254,254,254,254,246,201,155,169,163,163,169,168,165,164,163,161,160,158,157,156,155,156,126,85,130,219,251,255,
    		254,250,217,132,89,129,155,154,157,157,158,159,161,162,163,163,165,165,166,166,167,168,169,169,170,170,171,171,172,172,172,172,175,175,175,175,175,175,175,175,173,179,177,168,204,251,255,255,255,255,255,255,255,255,255,255,250,205,159,174,168,166,167,164,165,165,164,163,162,161,160,159,159,155,125,89,136,223,252,252,
    		255,250,216,131,91,131,156,154,157,158,159,160,161,162,163,164,165,165,166,167,168,168,169,169,171,171,171,171,172,172,173,173,175,175,175,175,175,175,175,175,173,179,177,169,205,251,255,255,255,255,255,255,255,255,255,255,250,205,159,174,168,166,167,165,166,165,164,163,162,161,160,159,157,155,127,90,135,221,252,254,
    		255,251,216,131,92,133,157,153,158,158,159,161,162,163,164,164,166,166,167,167,168,169,170,170,171,171,172,172,173,173,173,173,176,176,176,176,176,176,176,176,174,179,178,169,205,251,255,255,255,255,255,255,255,255,255,255,251,206,160,175,169,166,167,165,166,165,165,163,162,161,160,160,155,156,130,92,134,219,251,254,
    		255,252,216,132,93,134,158,154,159,159,160,161,163,164,165,165,167,167,168,168,169,170,171,171,172,172,173,173,173,174,174,174,176,176,176,176,176,176,176,176,174,180,178,169,205,252,255,255,255,255,255,255,255,255,255,255,251,206,160,175,169,167,168,165,166,166,165,164,163,161,161,160,154,157,133,94,133,217,251,254,
    		255,253,219,134,93,133,158,156,160,160,161,162,164,165,166,166,168,168,169,169,170,171,171,172,173,173,174,174,174,175,175,175,176,176,176,176,176,176,176,176,174,180,179,170,206,252,255,255,255,255,255,255,255,255,255,255,252,207,161,176,170,167,168,166,167,166,166,164,163,162,161,161,154,158,133,94,133,217,252,254,
    		255,255,224,137,91,130,158,161,161,161,162,163,164,166,167,167,169,169,169,170,171,172,172,173,174,174,175,175,175,176,176,176,177,177,177,177,177,177,177,177,175,180,179,170,206,253,255,255,255,255,255,255,255,255,255,255,252,207,161,176,170,168,169,166,167,167,166,165,164,162,162,161,156,158,132,94,135,220,253,254,
    		252,255,230,141,90,126,158,165,161,162,163,164,165,166,167,168,169,170,170,171,172,172,173,173,175,175,175,176,176,176,177,177,178,178,178,178,178,178,178,178,175,181,179,171,207,253,255,255,255,255,255,255,255,255,255,255,252,208,161,177,170,168,169,167,168,167,166,165,164,163,162,161,159,158,129,92,137,223,254,254,
    		250,255,233,143,88,123,158,168,162,162,163,164,166,167,168,168,170,170,171,171,172,173,173,174,175,175,176,176,176,177,177,177,178,178,178,178,178,178,178,178,175,181,180,171,207,253,255,255,255,255,255,255,255,255,255,255,253,208,162,177,171,168,169,167,168,167,166,165,164,163,162,162,161,157,127,91,138,226,254,254,
    		255,255,242,182,105,95,134,156,165,163,161,160,161,163,166,168,169,169,169,170,170,171,171,171,173,173,173,174,174,175,175,175,177,177,177,177,177,177,177,177,187,185,179,183,215,250,255,249,252,252,252,251,251,250,250,250,251,205,167,169,179,168,161,165,169,168,167,164,162,160,158,157,158,135,92,100,177,240,255,255,
    		249,250,254,215,138,103,119,130,165,167,169,172,174,176,177,178,174,174,174,175,175,176,176,176,177,177,178,178,178,179,179,179,181,181,181,181,181,181,181,181,180,182,180,186,216,249,254,251,254,254,254,254,254,253,253,253,252,210,176,175,181,177,174,178,173,172,170,168,166,164,163,162,138,122,98,128,205,250,253,255,
    		255,253,255,252,189,134,110,97,136,140,146,151,155,156,156,155,156,157,157,157,158,158,158,158,163,164,164,164,165,165,165,165,167,167,167,167,167,167,167,167,156,159,158,159,174,195,200,193,197,197,197,196,196,196,195,195,198,177,156,153,155,155,153,153,154,153,152,150,148,147,146,145,104,112,130,181,243,255,255,255,
    		253,255,255,255,236,192,147,110,105,107,111,114,116,117,117,117,122,122,123,123,123,124,124,124,132,132,132,133,133,133,134,134,135,135,135,135,135,135,135,135,138,141,139,135,135,141,139,134,137,136,136,136,135,135,135,134,127,126,125,122,121,122,116,109,118,117,116,115,114,113,112,112,110,146,190,234,255,255,254,253,
    		253,251,255,255,255,247,216,179,152,150,148,146,146,146,148,149,149,149,150,150,150,151,151,151,154,154,155,155,155,156,156,156,157,157,157,157,157,157,157,157,164,167,168,166,163,162,161,159,160,160,159,159,159,158,158,158,141,152,160,158,154,154,150,144,145,145,145,144,144,143,143,143,177,214,246,255,255,255,249,251,
    		248,255,255,255,255,255,255,243,233,230,226,221,219,220,221,223,224,224,225,225,225,226,226,226,222,222,223,223,223,224,224,224,225,225,225,225,225,225,225,225,220,220,221,223,223,220,220,222,222,222,221,221,221,220,220,220,217,226,231,226,223,224,227,227,223,223,223,223,223,223,223,223,245,255,255,253,252,255,255,250,
    		254,255,254,252,252,255,255,255,255,255,255,255,254,254,254,254,255,255,255,255,255,255,255,255,254,254,254,255,255,255,255,255,255,255,255,255,255,255,255,255,252,252,251,252,252,253,253,254,252,252,252,251,251,251,250,250,250,254,255,255,252,252,255,255,255,255,255,255,255,255,255,255,255,255,253,249,249,254,255,255,
    		255,249,243,247,252,251,255,255,252,254,255,255,255,255,255,255,250,250,251,251,251,252,252,252,253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,255,254,252,255,255,255,255,255,255,255,255,255,255,255,255,255,250,253,253,253,253,253,253,255,253,253,253,254,254,254,254,254,255,252,252,252,250,243,246,251};



	int x = 1;
	int y = 1;

    //0 thru 256
//	int row = 0;
//	int col = 0;
//	int rowcol = 0;
//	rowcol = ((row & 0xFF) << 8) & (col & 0xFF);







	int z = 64;
	int p = 40008;
	int m = 00;
	int index = 0;
	int row = 0;

	while(p < 74752){
	while( z < 144){

			index =  m + row;
			XGpio_DiscreteWrite(&xGpio, 1, z+p);
			XGpio_DiscreteWrite(&xGpio, 2, red[index]/8);
			XGpio_DiscreteWrite(&rgb, 1, green[index]/4);
			XGpio_DiscreteWrite(&rgb, 2, blue[index]/8);
			index++;
			if ( index == 6400){
			   z = 2342424;
			   p = 242424;
			}
			m += 80;
			if (m == 6400){
				m = 0;
				row++;
			}


//		if ( row == 80){
//			p = 141411;
//			z = 141411;
	//	}
		z++;
	}
    z = 64;
	p += 256;
}




   int bob = 12;







	//XGpio_SetOutputEnablePin( &xGpio, partstLED_OUTPUT, partstOUTPUT_ENABLED );
	//XGpio_WritePin( &xGpio, partstLED_OUTPUT, 0x0 );
}
/*-----------------------------------------------------------*/

void vParTestSetLED( UBaseType_t uxLED, BaseType_t xValue )
{
	( void ) uxLED;
	int x = 0;
		int y = 0;
		for ( x = 0; x < 512; x++)
		{
			for (y = 0; y < 512; y++)
			{
				XGpio_DiscreteWrite(&xGpio, 1, x);
				XGpio_DiscreteWrite(&xGpio, 2, y);
				XGpio_DiscreteWrite(&rgb, 1, 0x8888);
			}

		}
	//XGpio_DiscreteWrite(&xGpio, partstLED_OUTPUT, xValue);
}
/*-----------------------------------------------------------*/

void vParTestToggleLED( unsigned portBASE_TYPE uxLED )
{

	( void ) uxLED;
	int x = 0;
		int y = 0;
		for ( x = 0; x < 512; x++)
		{
			for (y = 0; y < 512; y++)
			{
				XGpio_DiscreteWrite(&xGpio, 1, x);
				XGpio_DiscreteWrite(&xGpio, 2, y);
				XGpio_DiscreteWrite(&rgb, 1, 0x8888);
			}

		}
	//}
}



