----------------------------------------------------------------------------------
-- Company: Cal Poly
-- Engineer: Kevin Shibley and Konrad Antoniuk
-- 
-- Create Date:    21:34:28 02/03/2012 
-- Design Name: 
-- Module Name:    FLAG_REG - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: This module is used for the flag registers. Functionality allows
--			for asynchronous set and reset as well as synchronous set upon the rising
--			edge of the clock if LD is high.
--
--
-- Revision: A shadow flag has been added. The shadow flag is assigned the value of
-- the main flag when shad_ld is asserted. The value of the shadow flag is assigned
-- to the main flag when flag_sel is asserted.
-- 
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;


entity FLAG_REG is
    Port ( IN_FLAG : in  STD_LOGIC;
           LD : in  STD_LOGIC;			  			  
           SET : in  STD_LOGIC;
           CLR : in  STD_LOGIC;
           CLK : in  STD_LOGIC;
           OUT_FLAG : out  STD_LOGIC := '0');
end FLAG_REG;

architecture Behavioral of FLAG_REG is


begin

	flag_control: process (IN_FLAG, LD, SET, CLR, CLK) 
		begin
         if (rising_edge(CLK)) then
            if (SET = '1') then
               OUT_FLAG <= '1';
            elsif (CLR = '1') then
               OUT_FLAG <= '0';
            elsif (LD = '1') then
               OUT_FLAG <= IN_FLAG;			
				end if;				
         end if;	
      end process flag_control;
	
			
end Behavioral;

