-- 
-- A modified clock divider that generates a 60Hz clock. Used in the Nibbler
-- project to create a hardware timer to control the game speed.
--
-- Original author: Bryan Mealy
-- 
-- Peter Heatwole, Aaron Barton
-- CPE233, Winter 2012, CalPoly
--




library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

-----------------------------------------------------------------------
-- Module to divide the clock 
-----------------------------------------------------------------------

entity game_clock is
    Port (  clk : in std_logic;
           tick : out std_logic);
end game_clock;

architecture game_clock_arch of game_clock is
   constant max_count : integer := (416667);   -- 60Hz
   --signal tick_out : std_logic := '0'; 
begin
   my_div: process (clk)              
      variable div_cnt : integer := 0;
      variable cyclesHigh : integer := 0;      
      variable tick_out : std_logic := '0';
   begin
      if (rising_edge(clk)) then   
         if (div_cnt = MAX_COUNT) then
            if( cyclesHigh < 2 ) then
               tick_out := '1';
               cyclesHigh := cyclesHigh + 1;
            else
               tick_out := '0';
               div_cnt := 0;
               cyclesHigh := 0;
            end if;
         else
            div_cnt := div_cnt + 1; 
         end if; 
      end if; 
      tick <= tick_out; 
   end process my_div; 
end game_clock_arch;






